<?php

namespace Teknisa\FIN\Modules\ContaReceber\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response\Error;
use Teknisa\FIN\Modules\ContaReceber\Services\GeralRecTipoajreceberService;

class GeralRecTipoajreceber extends \Teknisa\FIN\Controllers\TeknisaCrud{

    protected $dataSourceName = 'geralrec_tipoajreceber';
    protected $Rec43000Service;
    protected $connection;
    protected $service;

    public function __construct($crudService, $parameterBag, $entityManager, GeralRecTipoajreceberService $service) {
        $this->service = $service;
		parent::__construct($crudService,$parameterBag);
		$this->connection = $entityManager->getConnection();
	}

    public function save(DTO\Request $request, DTO\Response $response){
    	$dataSet = $request->getDataSet();
    	$rows = $dataSet->getRows();
    	//Row[0] =
    	//
    	//
    	//Cada row coresponde a uma tabela diferente que deve ser salva
    	$rowGeralRec = $rows[0];

		$method = $request->getMethod();
        $routePath = $request->getRoutePath();
        $userId = $request->getUserId();

    	$this->connection->beginTransaction();

    	try{
            if ($rowGeralRec['__is_new']) {
                $this->service->insereParametroContaReceber(
                    $rowGeralRec['IDBLOQINCNTR'], $rowGeralRec['IDTPCNTRLIB'], $rowGeralRec['IDUTCTRLCANREMR'], $rowGeralRec['IDBLOQALTBOLREC'],
                    $rowGeralRec['IDUTLNFDEVOLREC'], $rowGeralRec['IDUTBCOPREFCLIE'], $rowGeralRec['IDEXTELACALAJUBX']
                );
            }else{
                $this->saveRow($rowGeralRec, 'geral_rec', $method, $routePath, $userId, $response);
            }
			$this->connection->commit();
		} catch (\Exception $e){
			$response->setError(new Error($e->getMessage(), 500));
			$this->connection->rollBack();
		}
    }

    public function saveRow($row, $dataSourceName, $method, $routePath, $userId, $response){
    	$request = $this->buildResquest($row, $dataSourceName, $method, $routePath, $userId);
    	$this->dataSourceName = $dataSourceName;
    	parent::save($request, $response);
    	$this->dataSourceName = 'geralrec_tipoajreceber';
    }

    public function buildResquest($row, $dataSourceName, $method, $routePath, $userId){
        $dataSet = new DataSet($dataSourceName, array($row));
        $request = new DTO\Request\DataSet($dataSet, $method, $routePath, $userId);
        return $request;
    }
    
    public function saveTabedsOperadores(DTO\Request $request, DTO\Response $response) {
     try{
       
        $dataSet = $request->getDataSet();
        $rows = $dataSet->getRows();
        
        $this->service->saveTabedsOperadores($rows);
        $response->addDataSet(new DataSet('retorno', array('success' => 'S')));

     } catch (\Exception $e){
       $response->setError(new Error($e->getMessage(), 500));
     }
   }

}