/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_BASE                                                     */
/* Tabela : BASE                                                              */
/*                                                                            */
/* Criao:                                                                   */
/* 03/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_BASE'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_BASE
GO

CREATE TRIGGER DTULTATU_BASE
ON BASE
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'BASE', 'CDBASE=' + CDBASE+';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE BASE
      SET DTULTATUBASE = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(BASE.CDBASE,0) = ISNULL(INSERTED.CDBASE,0)) AND
            (ISNULL(BASE.SGBASE,0) = ISNULL(INSERTED.SGBASE,0)) AND
            (ISNULL(BASE.DSBASE,0) = ISNULL(INSERTED.DSBASE,0)) ;
   END;
END;
GO
