/* Sistemas Integrados TECNISA
   Planejamento Alimentao Industrial

Nome: 7781_PLASTP_EXPORTA_CARDAPIO_CONFIG
      (7781_PLASTPO.SQL)

Descrio: Realiza a cpia de cardpios
           por tipo de prato selecionado
           sobrepondo ou acrescentando os
           pratos ao cardpo atual mas mantendo
           a configurao do cardpio de destino.

Parmetros de entrada:

Para testar:
EXEC EXPORTA_CARDAPIO '9999','00003_','03/06/2007','05/06/2007','0003','00003_','03/07/2007','05/07/2007','0000005633_','N','S','000000009999','F', OUTPUT

*/

IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
                    WHERE
	        O.NAME = 'EXPORTA_CARDAPIO_CONFIG' AND
	        TYPE = 'P' 			         AND
	        U.UID = O.UID             	AND
	        U.NAME = USER)
DROP PROCEDURE EXPORTA_CARDAPIO_CONFIG;
GO

CREATE PROCEDURE EXPORTA_CARDAPIO_CONFIG
    @P_CDFILIORIG   VARCHAR(4),
    @P_CDSERVORIG   VARCHAR(2000),
    @P_DTINIORIG    DATETIME,
    @P_DTFINORIG    DATETIME,
    @P_CDFILIDEST   VARCHAR(4),
    @P_CDSERVDEST   VARCHAR(2000),
    @P_DTINIDEST    DATETIME,
    @P_DTFINDEST    DATETIME,
    @P_CONFIGORIG   VARCHAR(2000),
    @P_IDCOPCOMENS  VARCHAR(1),
    @P_IDSOBREPOR   VARCHAR(1),
    @P_CDOPERADOR   VARCHAR(12),
    @P_MODOPROC     VARCHAR(1),
    @P_NRLOGINTCARD VARCHAR(10) OUTPUT
AS
    DECLARE @V_COUNT          INT;
    DECLARE @V_LCONFIGORIG    VARCHAR(2000);
    DECLARE @V_CONFIGORIG     VARCHAR(10);
    DECLARE @V_LCDSERVDEST    VARCHAR(2000);
    DECLARE @V_CDSERVDEST     VARCHAR(5);
    DECLARE @V_LCDSERVORIG    VARCHAR(2000);
    DECLARE @V_CDSERVORIG     VARCHAR(5);
    DECLARE @V_DTMESORIG      DATETIME;
    DECLARE @V_DTMESDEST      DATETIME;
    DECLARE @V_DTCARDDEST     DATETIME;
    DECLARE @V_CONTCARDDEST   NUMERIC;
    DECLARE @V_NRCARDAPIO     VARCHAR(20);
    DECLARE @V_CONTPRAT       NUMERIC;
    DECLARE @V_CDFILAUXDEST   VARCHAR(4);
    DECLARE @V_IDCARDIAUTIL   VARCHAR(1);
    DECLARE @V_MAXNRSEQDEST   NUMERIC;
    DECLARE @V_MAXNRORDDEST   NUMERIC;
    DECLARE @V_DIASEMANA      NUMERIC;
    DECLARE @V_CONTFERIFILI   NUMERIC;
    DECLARE @V_CONTFERICARD   NUMERIC;    
    DECLARE @V_CDCONTADOR     VARCHAR(20);
    DECLARE @V_IDUTRPADCA     VARCHAR(1);
    DECLARE @V_CONTPRODRECE   NUMERIC;
    DECLARE @V_IDTIPOSERV     VARCHAR(1);
    DECLARE @V_IDCARDDESCENTR VARCHAR(1);
    DECLARE @V_CDDIETDEST     VARCHAR(4);
    DECLARE @V_NRLOGINTCARD   VARCHAR(20);
    DECLARE @V_EXISTPRAT      NUMERIC;
    DECLARE @V_NOVOSEQ        NUMERIC;
    DECLARE @V_NOVOORD        NUMERIC;
    DECLARE @V_ORD            NUMERIC;
    DECLARE @V_VALOR_A_MAIS   NUMERIC;
    DECLARE @V_PRATOESPE      VARCHAR(1);
    DECLARE @V_TIPOCARDAPIO   VARCHAR(1);
    DECLARE @V_NRLISTA        VARCHAR(20);
    DECLARE @V_CDLISTA        VARCHAR(50);
    DECLARE @V_DTLIBECARDMATR DATETIME;
    DECLARE @V_DTAPROCARDFILI DATETIME;
    DECLARE @V_DTAPROCARDMATR DATETIME;
    DECLARE @V_DTLIMAPROVFILI DATETIME;
    DECLARE @V_TIPORECE       VARCHAR(1);
    DECLARE @V_CDNVPRODUTO    VARCHAR(1);
    DECLARE @V_PRODINATIVO    INT;
    DECLARE @V_CDARVPRODINAT  VARCHAR(20);
    DECLARE @V_AUXESP         VARCHAR(1);
    DECLARE @V_CONTCOMPCARDDEL NUMERIC; /*CONTADOR AUXILIAR PARA SABER SE J EXISTE REGISTRO NA COMPCARDDEL*/    
    DECLARE @V_CDPRATODEL      VARCHAR(10);
    DECLARE @V_CDFILAUXPRATDEL VARCHAR(4);
    DECLARE @V_IDMANCORCARDALT VARCHAR(1);
    DECLARE @V_VRCUSTPADR      DOUBLE PRECISION;
    DECLARE @V_IDCUSPADCAR    VARCHAR(1);
    DECLARE @V_EXICNFCAMES    VARCHAR(3);
    DECLARE @V_NRORDCNFMES    VARCHAR(3);
    DECLARE @V_NRSEQCNFMES    VARCHAR(3);
    DECLARE @V_EXPORT         VARCHAR(5);
    DECLARE @V_EXISTCARDAMES  VARCHAR(5);
    DECLARE @V_IDSERVTRAN     VARCHAR(1);
    DECLARE @V_EXISCARDACLI   NUMERIC;
    DECLARE @V_PTOENTREGA     NUMERIC;
declare @v_aux varchar(50);

    /* Variveis para cursores */

    DECLARE @C_DATAS_DTORIGEM        DATETIME;
    DECLARE @C_COMENSSERV_QTCOM      DOUBLE PRECISION;
    DECLARE @C_COMENSSERV_QTCLI      DOUBLE PRECISION;
    DECLARE @C_COMENSSERV_QTFUN      DOUBLE PRECISION;
    DECLARE @C_COMENSSERV_QTDOA      DOUBLE PRECISION;
    DECLARE @C_TURNOSERV_QTT1        DOUBLE PRECISION;
    DECLARE @C_TURNOSERV_QTT2        DOUBLE PRECISION;
    DECLARE @C_TURNOSERV_QTT3        DOUBLE PRECISION;
    DECLARE @C_TURNOSERV_QTT4        DOUBLE PRECISION;
    DECLARE @C_RECESERV_CDARVPROD    VARCHAR(10);
    DECLARE @C_RECESERV_IDPRODATIVPR VARCHAR(1);
    DECLARE @C_RECESERV_IDPRODATIV   VARCHAR(1);
    DECLARE @C_RECEFILI_CDARVPROD    VARCHAR(10);
    DECLARE @C_RECEFILI_IDPRODATIVPR VARCHAR(1);
    DECLARE @C_RECEFILI_IDPRODATIV   VARCHAR(1);
    DECLARE @C_RECEPADR_CDARVPROD    VARCHAR(10);
    DECLARE @C_RECEPADR_IDPRODATIVPR VARCHAR(1);
    DECLARE @C_RECEPADR_IDPRODATIV   VARCHAR(1);
    DECLARE @C_PRATOSORIG_CDPRATO    VARCHAR(1);
   

    /* Cursores */
    DECLARE @C_CARDDEL_CDFILIAL   VARCHAR(4);
    DECLARE @C_CARDDEL_CDSERVFILI VARCHAR(5);
    DECLARE @C_CARDDEL_DTCARDAPIO DATETIME;
    DECLARE @C_CARDDEL_NRCARDAPIO VARCHAR(10);

    DECLARE @C_CARD_DTCARDAPIO DATETIME;
    DECLARE @C_CARD_NRCARDAPIO VARCHAR(10);
    DECLARE @C_CARD_CDDIETPAD VARCHAR(4);
    DECLARE @C_CARD_DTMESCARD DATETIME;
    DECLARE @C_CARD_DSCARDAPIO VARCHAR(30);
    DECLARE @C_CARD_QTCOMESTICAR DOUBLE PRECISION;
    DECLARE @C_CARD_QTCLIESTICAR DOUBLE PRECISION;
    DECLARE @C_CARD_QTFUNESTICAR DOUBLE PRECISION;
    DECLARE @C_CARD_QTDOAESTICAR DOUBLE PRECISION;
    DECLARE @C_CARD_QTESTITURNO1 DOUBLE PRECISION;
    DECLARE @C_CARD_QTESTITURNO2 DOUBLE PRECISION;
    DECLARE @C_CARD_QTESTITURNO3 DOUBLE PRECISION;
    DECLARE @C_CARD_QTESTITURNO4 DOUBLE PRECISION;

    DECLARE @C_PRATOS_CDFILIAL     VARCHAR(4);
    DECLARE @C_PRATOS_NRCARDAPIO   VARCHAR(10);
    DECLARE @C_PRATOS_NRSEQPRATCAR NUMERIC;
    DECLARE @C_PRATOS_CDFILAUXPRAT VARCHAR(4);
    DECLARE @C_PRATOS_CDPRATO      VARCHAR(10);
    DECLARE @C_PRATOS_VRPECONSCARD DOUBLE PRECISION;
    DECLARE @C_PRATOS_CDTIPOPRAT   VARCHAR(2);
    DECLARE @C_PRATOS_NRORDPRATCAR NUMERIC;
    DECLARE @C_PRATOS_NMPRATO      VARCHAR(40);

    DECLARE @C_INS_CONFIG_CDFILIDEST   VARCHAR(4);
    DECLARE @C_INS_CONFIG_CDSERVDEST   VARCHAR(5);
    DECLARE @C_INS_CONFIG_NRSEQCNFMES  NUMERIC;
    DECLARE @C_INS_CONFIG_DTMESDEST    DATETIME;
    DECLARE @C_INS_CONFIG_CDTIPOPRAT   VARCHAR(2);
    DECLARE @C_INS_CONFIG_IDOPCCNFMES  VARCHAR(1);
    DECLARE @C_INS_CONFIG_IDIMPCNFMES  VARCHAR(1);
    DECLARE @C_INS_CONFIG_NRPAGCNFMES  VARCHAR(1);
    DECLARE @C_INS_CONFIG_VRPERCOMMES  NUMERIC;
    DECLARE @C_INS_CONFIG_NRORDCNFMES  NUMERIC;
    DECLARE @C_INS_CONFIG_DSCOMPLTPMES VARCHAR(15);
    DECLARE @C_INS_CONFIG_IDCONCNFMES  VARCHAR(1);
    DECLARE @C_INS_CONFIG_IDTPPRATSEGM VARCHAR(1);
    DECLARE @C_INS_CONFIG_IDTPPRATTERM VARCHAR(1);
    DECLARE @C_INS_CONFIG_IDTPPRATQUAM VARCHAR(1);
    DECLARE @C_INS_CONFIG_IDTPPRATQUIM VARCHAR(1);
    DECLARE @C_INS_CONFIG_IDTPPRATSEXM VARCHAR(1);
    DECLARE @C_INS_CONFIG_IDTPPRATSABM VARCHAR(1);
    DECLARE @C_INS_CONFIG_IDTPPRATDOMM VARCHAR(1);
    DECLARE @C_INS_CONFIG_IDTPPRATFERM VARCHAR(1);

    DECLARE @C_SEQ_NRSEQCNFMES NUMERIC;
    DECLARE @C_ORD_NRORDCNFMES NUMERIC;
    DECLARE @C_CARDIA_NRSEQCNFMES VARCHAR(3);
BEGIN
   SET @V_LCDSERVDEST = @P_CDSERVDEST;
   SET @V_LCDSERVORIG = @P_CDSERVORIG;
   SET @V_LCONFIGORIG = @P_CONFIGORIG;
   SET @V_NRLOGINTCARD = NULL;

   IF SUBSTRING(@V_LCDSERVORIG, 1, 1) = '_' BEGIN
      SET @V_LCDSERVORIG = SUBSTRING(@V_LCDSERVORIG, 2, LEN(@V_LCDSERVORIG));
   END;

   IF SUBSTRING(@V_LCDSERVDEST, 1, 1) = '_' BEGIN
      SET @V_LCDSERVDEST = SUBSTRING(@V_LCDSERVDEST, 2, LEN(@V_LCDSERVDEST));
   END;

   IF SUBSTRING(@V_LCONFIGORIG, 1, 1) = '_' BEGIN
      SET @V_LCONFIGORIG = SUBSTRING(@V_LCONFIGORIG, 2, LEN(@V_LCONFIGORIG));
   END;

   WHILE (( @V_LCDSERVDEST <> '' ) AND ( @V_LCDSERVORIG <> '' ) AND ( @V_LCONFIGORIG <> '') )
   BEGIN /* Loop para Exportar mais de um Servico */
   /* Atribui valores de lista nas devidas variveis */
      SET @V_COUNT = 1;
      IF LEN(@V_LCDSERVORIG) > 5 BEGIN
	     WHILE (SUBSTRING(@V_LCDSERVORIG, @V_COUNT, 1) <> '_') BEGIN
            SET @V_COUNT = @V_COUNT + 1 ;
         END;

         SET @V_CDSERVORIG = SUBSTRING(@V_LCDSERVORIG, 1, @V_COUNT-1);
      END ELSE BEGIN
         SET @V_CDSERVORIG = @V_LCDSERVORIG;
      END;

      SET @V_COUNT = 1;
      
      IF LEN(@V_LCDSERVDEST) > 5 BEGIN
         WHILE (SUBSTRING(@V_LCDSERVDEST, @V_COUNT, 1)<> '_') BEGIN
            SET @V_COUNT = @V_COUNT + 1 ;
         END;
         SET @V_CDSERVDEST = SUBSTRING(@V_LCDSERVDEST, 1, @V_COUNT-1);
      END ELSE BEGIN
         SET @V_CDSERVDEST = @V_LCDSERVDEST;
      END;
      

      
      IF (@V_LCONFIGORIG = 'T') BEGIN
         EXEC NOVO_CODIGO 'LISTA', @V_LCONFIGORIG OUTPUT, 1;
         SET @V_CONFIGORIG = SUBSTRING(@V_LCONFIGORIG,11,10);
         
         DECLARE C_CARDIA CURSOR FOR 
            SELECT RIGHT(REPLICATE('0', 3) + CONVERT(VARCHAR(3), NRSEQCNFMES), 3) AS NRSEQCNFMES
            FROM CNFCAMES
           WHERE CDFILIAL     = @P_CDFILIORIG
             AND CDSERVFILI   = @V_CDSERVORIG
             AND DTREFECNFMES = (@P_DTINIORIG - DAY(@P_DTINIORIG)) + 1;
         OPEN C_CARDIA;
         FETCH NEXT FROM C_CARDIA INTO @C_CARDIA_NRSEQCNFMES;
                                        
         WHILE (@@FETCH_STATUS = 0)
         BEGIN
            INSERT INTO LISTA (NRLISTA, CDLISTA)
            VALUES (@V_CONFIGORIG, @C_CARDIA_NRSEQCNFMES);
         
            FETCH NEXT FROM C_CARDIA INTO @C_CARDIA_NRSEQCNFMES; 
         END;
         CLOSE C_CARDIA;
         DEALLOCATE C_CARDIA;
             
      END ELSE BEGIN
         SET @V_COUNT = 1;
         WHILE (SUBSTRING(@V_LCONFIGORIG, @V_COUNT, 1) <> '_') BEGIN
            SET @V_COUNT = @V_COUNT + 1 ;
         END;
         SET @V_CONFIGORIG = SUBSTRING(@V_LCONFIGORIG, 1, @V_COUNT-1);
      END;
      /* Fim de atribuio de valores de lista */

      /* Grava o primeiro dia do ms de origem e destino */
      SET @V_DTMESORIG = (@P_DTINIORIG - DAY(@P_DTINIORIG)) + 1;
      SET @V_DTMESDEST = (@P_DTINIDEST - DAY(@P_DTINIDEST)) + 1;

      SET @V_TIPOCARDAPIO = 'N';
      SET @V_IDUTRPADCA = 'N';
      SET @V_IDMANCORCARDALT = 'N';

      SELECT @V_TIPOCARDAPIO = IDUTCARDPADR, @V_IDUTRPADCA = IDUTRPADCA, @V_IDMANCORCARDALT = IDMANCORCARDALT
      FROM   PARAMGERAL
      WHERE  CDPARGERAL = '0001';

      SELECT @V_IDTIPOSERV = IDTIPOSERV
      FROM SERVICO
      WHERE
         CDFILIAL   = @P_CDFILIORIG AND
         CDSERVFILI = @V_CDSERVORIG;

      SELECT @V_IDCARDDESCENTR = ISNULL(IDCARDDESCENTR, 'N'),
             @V_IDSERVTRAN = ISNULL(IDSERVTRAN, 'N')
      FROM   SERVICO
      WHERE  CDFILIAL   = @P_CDFILIDEST AND
             CDSERVFILI = @V_CDSERVDEST;
             
      /* Verifica se o parmetro "Verifica custo padro na Montagem do Cardapio" est marcado */
      SELECT @V_IDCUSPADCAR = IDCUSPADCAR
        FROM PARAMPLANEJA
       WHERE CDFILIAL = @P_CDFILIDEST;

      IF @V_IDCUSPADCAR = 'S' BEGIN
         /* Verifica se existe custo padro para o servio de destino */
         SELECT @V_VRCUSTPADR = MAX(VRCUSTPADR)
           FROM CUSTPADR
          WHERE (CDFILIAL   = @P_CDFILIDEST) 
            AND (CDSERVFILI = @V_CDSERVDEST)
            AND (DTREFCUSPADR = @V_DTMESDEST);    
      
         IF @V_VRCUSTPADR IS NULL BEGIN
            IF @V_NRLOGINTCARD IS NULL BEGIN
               SET @V_CDCONTADOR = 'LOGINTCARD'+@P_CDFILIDEST;
               EXEC NOVO_CODIGO @V_CDCONTADOR, @V_NRLOGINTCARD OUTPUT, 1;
               SET @V_NRLOGINTCARD = SUBSTRING(@V_NRLOGINTCARD,11,10);
            END;
            EXEC GRAVA_LOGINTCARD @V_NRLOGINTCARD, @P_CDFILIORIG, @P_CDFILIDEST, @V_CDSERVDEST, @V_DTMESDEST, ' ', ' ', ' ',  '4';
         END;   
      END;
      /*Gera novo cdigo para a tabela LISTA*/
      /*(P_IDSOBREPOR = 'S') Executado pelo Assistente PLA05900*/
     /* IF (@V_TIPOCARDAPIO = 'D') AND (@P_MODOPROC = 'M') AND (@P_IDSOBREPOR = 'S') AND (@V_IDCARDDESCENTR = 'S') BEGIN
         SET @V_NRLISTA = NULL;
         EXEC NOVO_CODIGO 'LISTA', @V_NRLISTA OUTPUT, 1;
         SET @V_NRLISTA = SUBSTRING(@V_NRLISTA, 11, 10);
      END; */

      IF (@V_TIPOCARDAPIO = 'D') AND (@P_MODOPROC = 'M') AND (@V_IDCARDDESCENTR = 'S') BEGIN
         SELECT @V_AUXESP = 'S'
           FROM CTRLAPROVCARD
          WHERE CDFILIAL = @P_CDFILIDEST
            AND CDSERVFILI = @V_CDSERVDEST
            AND DATENAME(MONTH,DTMESCARDAPROV) + DATENAME(YEAR, DTMESCARDAPROV) =
                DATENAME(MONTH,@P_DTINIDEST) + DATENAME(YEAR, @P_DTINIDEST)
            AND DTLIBECARDMATR IS NOT NULL;
         IF (@V_AUXESP IS NULL) BEGIN
            SET @V_AUXESP = 'N';
         END;
      END;

      IF (@V_TIPOCARDAPIO = 'D') AND (@P_MODOPROC = 'F') AND (@V_IDCARDDESCENTR = 'S') BEGIN
         /*Verifica se o servio j est LIBERADO pela matriz, APROVADO pela filial,
           APROVADO pela matriz ou se a data de LIMITE de aprovao pela filial expirou*/
         SELECT @V_DTLIBECARDMATR = CTRL.DTLIBECARDMATR,
                @V_DTAPROCARDFILI = CTRL.DTAPROCARDFILI,
                @V_DTAPROCARDMATR = CTRL.DTAPROCARDMATR,
                @V_DTLIMAPROVFILI = CALE.DTLIMAPROVFILI + ISNULL(QTDIAPRORAPROV , 0)
         FROM   CTRLAPROVCARD CTRL, CALENCARD CALE
         WHERE  CTRL.CDFILIAL       = @P_CDFILIDEST AND
                CTRL.CDSERVFILI     = @V_CDSERVDEST AND
                CTRL.DTMESCARDAPROV = @V_DTMESDEST  AND
                CTRL.CDFILIAL       = CALE.CDFILIAL AND
                CTRL.DTMESCARDAPROV = CALE.DTMESCALENCARD;

         /*Cardpio NO liberado pela MATRIZ*/
         IF @V_DTLIBECARDMATR IS NULL BEGIN
            RETURN;
         END;
         /*Cardpio J aprovado pela FILIAL*/
         IF NOT @V_DTAPROCARDFILI IS NULL BEGIN
            RETURN;
         END;
         /*Cardpio J aprovado pela MATRIZ*/
         IF NOT @V_DTAPROCARDMATR IS NULL BEGIN
            RETURN;
         END;
         /*Data limite de aprovao pela FILIAL expirada*/
         IF CONVERT(DATETIME, CONVERT(VARCHAR, GETDATE(), 103)) >
            CONVERT(DATETIME, CONVERT(VARCHAR, @V_DTLIMAPROVFILI, 103)) BEGIN
            RETURN;
         END;
      END;
      
      /*VERIFICA SE EXISTE CONFIGURAO DE CARDAPIO PARA O MES*/
      SELECT @V_EXICNFCAMES = COUNT(*) 
        FROM CNFCAMES
       WHERE CDFILIAL     = @P_CDFILIDEST AND
             CDSERVFILI   = @V_CDSERVDEST AND
             DTREFECNFMES = @V_DTMESDEST;
      
      /*SE NO EXISTE INSERE A CONFIGURAO PADRAO DO SERVICO NA CONFIGURAO DO CARDAPIO DO MES*/
      IF @V_EXICNFCAMES = 0 BEGIN
        INSERT INTO CNFCAMES 
          (CDFILIAL, CDSERVFILI, NRSEQCNFMES, DTREFECNFMES,
          CDTIPOPRAT, IDOPCCNFMES, IDIMPCNFMES, NRPAGCNFMES,
          VRPERCOMMES, NRORDCNFMES, DSCOMPLTPMES, IDCONCNFMES,
          IDTPPRATSEGM, IDTPPRATTERM, IDTPPRATQUAM, IDTPPRATQUIM,
          IDTPPRATSEXM, IDTPPRATSABM, IDTPPRATDOMM, IDTPPRATFERM)  
        (SELECT 
          CDFILIAL, CDSERVFILI, NRSEQCNFCARD, @V_DTMESDEST,
          CDTIPOPRAT, IDOPCCNFCARD, IDIMPCNFCARD, NRPAGCNFCARD,
          VRPERCOMCARD, NRORDCNFCARD, DSCOMPLTP, IDCONCNFCARD,
          IDTPPRATSEGP, IDTPPRATTERP, IDTPPRATQUAP, IDTPPRATQUIP,
          IDTPPRATSEXP, IDTPPRATSABP, IDTPPRATDOMP, IDTPPRATFERP
          FROM CONFCARD
        WHERE CDFILIAL     = @P_CDFILIDEST AND
              CDSERVFILI   = @V_CDSERVDEST);
      END;  


      IF (@P_IDSOBREPOR = 'S') BEGIN

        -- IF (@V_TIPOCARDAPIO = 'D') AND (@V_IDCARDDESCENTR = 'S') BEGIN
            /*Inserer na COMPCARDDEL todos os pratos que eram excludos da filial*/
          --  IF @P_MODOPROC = 'M' BEGIN
               /*Verifica se o cardpio esta liberado pela Matriz*/
          --     IF @V_AUXESP = 'S' BEGIN
                  /* se o cardpio estiver liberado pela matriz no faz o filtro de local de excluso*/
              /*    INSERT INTO LISTA
                     (NRLISTA, CDLISTA)
                  (SELECT @V_NRLISTA,
                          RIGHT(REPLICATE('0', 2) + CONVERT(VARCHAR, DAY(DTPRATEXCL)), 2) +
                          RIGHT(REPLICATE('0', 3) + CONVERT(VARCHAR, DAY(NRSEQPRATEXCL)), 3)
                   FROM   COMPCARDDEL
                   WHERE  CDFILIAL   = @P_CDFILIDEST AND
                          CDSERVFILI = @V_CDSERVDEST AND
                          DTPRATEXCL BETWEEN @V_DTMESDEST AND (DATEADD(MM,1, @V_DTMESDEST) - DAY(@V_DTMESDEST)));
               END ELSE BEGIN
                  INSERT INTO LISTA
                     (NRLISTA, CDLISTA)
                  (SELECT @V_NRLISTA,
                          RIGHT(REPLICATE('0', 2) + CONVERT(VARCHAR, DAY(DTPRATEXCL)), 2) +
                          RIGHT(REPLICATE('0', 3) + CONVERT(VARCHAR, DAY(NRSEQPRATEXCL)), 3)
                   FROM   COMPCARDDEL
                   WHERE  CDFILIAL   = @P_CDFILIDEST AND
                          CDSERVFILI = @V_CDSERVDEST AND
                          DTPRATEXCL BETWEEN @V_DTMESDEST AND (DATEADD(MM,1, @V_DTMESDEST) - DAY(@V_DTMESDEST)) AND
                          IDLOCALEXCL = 'F');
               END;
            END;
         END; */

         /* Pratos e Cardpios */
         DECLARE C_CARDDEL CURSOR FOR
            SELECT CDFILIAL, CDSERVFILI, DTCARDAPIO, NRCARDAPIO
            FROM   CARDADIA
            WHERE  CDFILIAL   = @P_CDFILIDEST AND
                   CDSERVFILI = @V_CDSERVDEST AND
                   DTCARDAPIO  BETWEEN @P_DTINIDEST AND @P_DTFINDEST;

         OPEN C_CARDDEL;
         FETCH NEXT FROM C_CARDDEL INTO @C_CARDDEL_CDFILIAL, @C_CARDDEL_CDSERVFILI,
                                        @C_CARDDEL_DTCARDAPIO, @C_CARDDEL_NRCARDAPIO;

         WHILE (@@FETCH_STATUS = 0)
         BEGIN
            IF (@V_TIPOCARDAPIO = 'D') AND (@V_IDCARDDESCENTR = 'S') BEGIN
               /*Insere na COMPCARDDEL	todos os sequenciais de pratos que sero sobrepostos*/
               IF @P_MODOPROC = 'M' BEGIN
                  /*VERIFICA SE O CARDPIO ESTA LIBERADO PELA MATRIZ*/
                  IF @V_AUXESP = 'S' BEGIN
                     /*se o cardpio estiver liberado pela filial no faz o filtro de prato especfico*/
                     IF @V_IDMANCORCARDALT = 'S' BEGIN
                        /*Com o parmetro marcado insere todos os pratos que esto no cardpio na compcarddel*/
                        INSERT INTO COMPCARDDEL
                           (CDFILIAL, CDSERVFILI, DTPRATEXCL, NRSEQPRATEXCL, IDLOCALEXCL, CDPRATO, CDFILAUXPRAT)
                        (SELECT CDFILIAL, CDSERVFILI, DTCARDAPIO, NRSEQPRATCAR, IDLOCALEXCL, CDPRATO, CDFILAUXPRAT 
                           FROM                        
                           (SELECT @C_CARDDEL_CDFILIAL AS CDFILIAL, @C_CARDDEL_CDSERVFILI AS CDSERVFILI, @C_CARDDEL_DTCARDAPIO AS DTCARDAPIO,
                                   C.NRSEQPRATCAR, @P_MODOPROC AS IDLOCALEXCL, C.CDPRATO, C.CDFILAUXPRAT 
                              FROM COMPCARD C
                             WHERE C.CDFILIAL = @C_CARDDEL_CDFILIAL
                               AND C.NRCARDAPIO = @C_CARDDEL_NRCARDAPIO
                               AND (C.CDPRATOMAT IS NULL)
                               AND (C.CDFILAUXPRATMAT IS NULL)
                               AND (C.IDPRATOESPE = 'N' )
                             UNION
                            SELECT @C_CARDDEL_CDFILIAL, @C_CARDDEL_CDSERVFILI, @C_CARDDEL_DTCARDAPIO,
                                   C.NRSEQPRATCAR, @P_MODOPROC, C.CDPRATOMAT, C.CDFILAUXPRATMAT
                              FROM COMPCARD C
                             WHERE C.CDFILIAL = @C_CARDDEL_CDFILIAL
                               AND C.NRCARDAPIO = @C_CARDDEL_NRCARDAPIO
                               AND (C.IDPRATOESPE <> 'N' )) PRATOS
                          WHERE NOT EXISTS (SELECT CDFILIAL FROM COMPCARDDEL
                                             WHERE COMPCARDDEL.CDFILIAL = PRATOS.CDFILIAL
                                               AND COMPCARDDEL.CDSERVFILI = PRATOS.CDSERVFILI
                                               AND COMPCARDDEL.DTPRATEXCL = PRATOS.DTCARDAPIO
                                               AND COMPCARDDEL.NRSEQPRATEXCL = PRATOS.NRSEQPRATCAR));
                     END ELSE BEGIN
                        INSERT INTO COMPCARDDEL
                           (CDFILIAL, CDSERVFILI, DTPRATEXCL, NRSEQPRATEXCL, IDLOCALEXCL, CDPRATO, CDFILAUXPRAT)
                        (SELECT CDFILIAL, CDSERVFILI, DTCARDAPIO, NRSEQPRATCAR, IDLOCALEXCL, CDPRATO, CDFILAUXPRAT
                           FROM                        
                           (SELECT @C_CARDDEL_CDFILIAL AS CDFILIAL, @C_CARDDEL_CDSERVFILI AS CDSERVFILI, @C_CARDDEL_DTCARDAPIO AS DTCARDAPIO,
                                   C.NRSEQPRATCAR, @P_MODOPROC AS IDLOCALEXCL, C.CDPRATO, C.CDFILAUXPRAT 
                              FROM COMPCARD C
                             WHERE C.CDFILIAL = @C_CARDDEL_CDFILIAL
                               AND C.NRCARDAPIO = @C_CARDDEL_NRCARDAPIO
                               AND (C.CDPRATOMAT IS NULL)
                               AND (C.CDFILAUXPRATMAT IS NULL)
                               AND (C.IDPRATOESPE = 'N' )
                             UNION
                            SELECT @C_CARDDEL_CDFILIAL, @C_CARDDEL_CDSERVFILI, @C_CARDDEL_DTCARDAPIO,
                                   C.NRSEQPRATCAR, @P_MODOPROC, C.CDPRATOMAT, C.CDFILAUXPRATMAT
                              FROM COMPCARD C
                             WHERE C.CDFILIAL = @C_CARDDEL_CDFILIAL
                               AND C.NRCARDAPIO = @C_CARDDEL_NRCARDAPIO
                               AND NOT(C.CDPRATOMAT IS NULL)
                               AND NOT(C.CDFILAUXPRATMAT IS NULL)) PRATOS
                          WHERE NOT EXISTS (SELECT CDFILIAL FROM COMPCARDDEL
                                             WHERE COMPCARDDEL.CDFILIAL = PRATOS.CDFILIAL
                                               AND COMPCARDDEL.CDSERVFILI = PRATOS.CDSERVFILI
                                               AND COMPCARDDEL.DTPRATEXCL = PRATOS.DTCARDAPIO
                                               AND COMPCARDDEL.NRSEQPRATEXCL = PRATOS.NRSEQPRATCAR));
                     END;  
                  END;
               END ELSE BEGIN
                  INSERT INTO COMPCARDDEL
                     (CDFILIAL, CDSERVFILI, DTPRATEXCL, NRSEQPRATEXCL, IDLOCALEXCL, CDPRATO, CDFILAUXPRAT)                     
                  (SELECT @C_CARDDEL_CDFILIAL, @C_CARDDEL_CDSERVFILI, @C_CARDDEL_DTCARDAPIO,
                          C.NRSEQPRATCAR, @P_MODOPROC, C.CDPRATO, C.CDFILAUXPRAT
                     FROM COMPCARD C
                    WHERE C.CDFILIAL = @C_CARDDEL_CDFILIAL
                      AND C.NRCARDAPIO = @C_CARDDEL_NRCARDAPIO
                      AND (C.CDPRATOMAT IS NULL)
                      AND (C.CDFILAUXPRATMAT IS NULL)
                      AND (C.IDPRATOESPE = 'N' )
                      AND NOT EXISTS (SELECT CD.NRSEQPRATEXCL
                                        FROM COMPCARDDEL CD
                                       WHERE CD.CDFILIAL = @C_CARDDEL_CDFILIAL
                                         AND CD.CDSERVFILI = @C_CARDDEL_CDSERVFILI
                                         AND CD.DTPRATEXCL = @C_CARDDEL_DTCARDAPIO
                                         AND CD.CDFILIAL = C.CDFILIAL
                                         AND CD.NRSEQPRATEXCL = C.NRSEQPRATCAR)
                   UNION
                   SELECT @C_CARDDEL_CDFILIAL, @C_CARDDEL_CDSERVFILI, @C_CARDDEL_DTCARDAPIO,
                          C.NRSEQPRATCAR, @P_MODOPROC, C.CDPRATOMAT, C.CDFILAUXPRATMAT
                     FROM COMPCARD C
                    WHERE C.CDFILIAL = @C_CARDDEL_CDFILIAL
                      AND C.NRCARDAPIO = @C_CARDDEL_NRCARDAPIO
                      AND NOT(C.CDPRATOMAT IS NULL)
                      AND NOT(C.CDFILAUXPRATMAT IS NULL)                      
                      AND NOT EXISTS (SELECT CD.NRSEQPRATEXCL
                                        FROM COMPCARDDEL CD
                                       WHERE CD.CDFILIAL = @C_CARDDEL_CDFILIAL
                                         AND CD.CDSERVFILI = @C_CARDDEL_CDSERVFILI
                                         AND CD.DTPRATEXCL = @C_CARDDEL_DTCARDAPIO
                                         AND CD.CDFILIAL = C.CDFILIAL
                                         AND CD.NRSEQPRATEXCL = C.NRSEQPRATCAR));
               END;

               /*Insere na tabela LISTA todos os pratos ESPECFICOS e REPROVADOS*/
            --   IF @P_MODOPROC = 'M' BEGIN
                  /*Insere LISTA para o dia seguinte*/
              --    IF @V_AUXESP = 'S' BEGIN
               /*      INSERT INTO LISTA
                        (NRLISTA, CDLISTA)
                     (SELECT @V_NRLISTA, RIGHT(REPLICATE('0', 2) + CONVERT(VARCHAR, DAY(@C_CARDDEL_DTCARDAPIO)), 2) +
                                         RIGHT(REPLICATE('0', 3) + CONVERT(VARCHAR, DAY(NRSEQPRATCAR)), 3)
                      FROM   COMPCARD
                      WHERE  CDFILIAL   = @C_CARDDEL_CDFILIAL   AND
                             NRCARDAPIO = @C_CARDDEL_NRCARDAPIO);
                  END ELSE BEGIN
                     INSERT INTO LISTA
                        (NRLISTA, CDLISTA)
                     (SELECT @V_NRLISTA, RIGHT(REPLICATE('0', 2) + CONVERT(VARCHAR, DAY(@C_CARDDEL_DTCARDAPIO)), 2) +
                                         RIGHT(REPLICATE('0', 3) + CONVERT(VARCHAR, DAY(NRSEQPRATCAR)), 3)
                        FROM COMPCARD
                       WHERE CDFILIAL   = @C_CARDDEL_CDFILIAL   AND
                             NRCARDAPIO = @C_CARDDEL_NRCARDAPIO AND
                             IDPRATOESPE IN ('S', 'R'));
                  END;
               END; */
            END;
 
            DELETE FROM COMPCARD
            WHERE CDFILIAL = @P_CDFILIDEST AND
                  NRCARDAPIO = @C_CARDDEL_NRCARDAPIO;

            DELETE FROM CARDADIA
            WHERE CDFILIAL = @P_CDFILIDEST AND
                  NRCARDAPIO = @C_CARDDEL_NRCARDAPIO AND
                  NOT EXISTS (SELECT CDFILIAL, NRCARDAPIO
                              FROM RETIRADA
                              WHERE CDFILIAL = CARDADIA.CDFILIAL AND
                                    NRCARDAPIO = CARDADIA.NRCARDAPIO);
            FETCH NEXT FROM C_CARDDEL INTO @C_CARDDEL_CDFILIAL, @C_CARDDEL_CDSERVFILI,
                                           @C_CARDDEL_DTCARDAPIO, @C_CARDDEL_NRCARDAPIO;

         END;  /*C_CARDDEL*/
         CLOSE C_CARDDEL;
         DEALLOCATE C_CARDDEL;

      END;  /*SOBREPOR*/

      SET @V_DTCARDDEST = @P_DTINIDEST;

      /* Verifica o parmetro que permite cardpio em dia no-til */
      SELECT @V_IDCARDIAUTIL = ISNULL(MAX(IDCARDIAUTIL), 'N')
      FROM   PARAMPLANEJA
      WHERE  CDFILIAL = @P_CDFILIDEST;

      DECLARE C_DATAS CURSOR FOR
      SELECT DTDATA
      FROM   DATA
      WHERE  DTDATA BETWEEN @P_DTINIORIG AND @P_DTFINORIG
      ORDER BY DTDATA;

      OPEN C_DATAS;
      FETCH NEXT FROM C_DATAS INTO @C_DATAS_DTORIGEM;
      WHILE (@@FETCH_STATUS = 0)
      BEGIN

         SELECT @V_CONTFERIFILI = COUNT(*)
         FROM FERIFILI
         WHERE
            CDFILIAL = @P_CDFILIDEST AND
            DTFERIFILI = @V_DTCARDDEST;

         SELECT @V_CONTFERICARD = COUNT(*)
         FROM FERICARD
         WHERE
            CDFILIAL = @P_CDFILIDEST AND
            DTFERICARD = @V_DTCARDDEST;

         /* Grava o nmero correspondente ao dia da semana */
         IF @V_CONTFERICARD = 0
         BEGIN
            SET @V_DIASEMANA = DATEPART(dw,@V_DTCARDDEST);
         END
         ELSE BEGIN
            SET @V_DIASEMANA = 8;
         END;

         /* Permite incluso quando: */
         /* V_IDCARDIAUTIL <> 'S' (NO BLOQUEIA INCLUSO EM DIA NO TIL) OR
            V_IDCARDIAUTIL = 'S' AND V_CONTFERIFILI = 0 (SE BLOQUEIA, O DIA  NORMAL) */
         IF (@V_DTCARDDEST <= @P_DTFINDEST) AND
            ((@V_IDCARDIAUTIL <> 'S') OR ((@V_IDCARDIAUTIL = 'S') AND (@V_CONTFERIFILI = 0)))
         BEGIN
            DECLARE C_CARDORIG CURSOR FOR
            SELECT
                DTCARDAPIO, NRCARDAPIO,
                CDDIETPAD, DTMESCARD, DSCARDAPIO,
                QTCOMESTICAR, QTCLIESTICAR, QTFUNESTICAR, QTDOAESTICAR,
                QTESTITURNO1, QTESTITURNO2, QTESTITURNO3, QTESTITURNO4
            FROM
                CARDADIA
            WHERE
                CDFILIAL   = @P_CDFILIORIG AND
                CDSERVFILI = @V_CDSERVORIG AND
                DTCARDAPIO = @C_DATAS_DTORIGEM
            ORDER BY
                CDFILIAL,
                CDSERVFILI,
                DTCARDAPIO,
                CDDIETPAD;

            OPEN C_CARDORIG;
            FETCH NEXT FROM C_CARDORIG INTO
               @C_CARD_DTCARDAPIO,
               @C_CARD_NRCARDAPIO,
               @C_CARD_CDDIETPAD,
               @C_CARD_DTMESCARD,
               @C_CARD_DSCARDAPIO,
               @C_CARD_QTCOMESTICAR,
               @C_CARD_QTCLIESTICAR,
               @C_CARD_QTFUNESTICAR,
               @C_CARD_QTDOAESTICAR,
               @C_CARD_QTESTITURNO1,
               @C_CARD_QTESTITURNO2,
               @C_CARD_QTESTITURNO3,
               @C_CARD_QTESTITURNO4;

            WHILE (@@FETCH_STATUS = 0) BEGIN

               IF @V_IDTIPOSERV = 'N' BEGIN
                  SELECT
                     @V_CONTCARDDEST = COUNT(*)
                  FROM
                     CARDADIA
                  WHERE
                      CDFILIAL   = @P_CDFILIDEST AND
                      CDSERVFILI = @V_CDSERVDEST AND
                      DTCARDAPIO = @V_DTCARDDEST;
               END;

               IF @V_IDTIPOSERV = 'D' BEGIN
                  SELECT
                     @V_CONTCARDDEST = COUNT(*)
                  FROM
                     CARDADIA
                  WHERE
                      CDFILIAL   = @P_CDFILIDEST AND
                      CDSERVFILI = @V_CDSERVDEST AND
                      DTCARDAPIO = @V_DTCARDDEST AND
                      CDDIETPAD  = @C_CARD_CDDIETPAD;
               END;

               SET @V_CDDIETDEST  = 'XXXX';

               SELECT @V_CDDIETDEST = ISNULL(MAX(S.CDDIETPAD),'XXXX')
               FROM DIETSERV S, DIETPADR P
               WHERE
                  CDFILIAL = @P_CDFILIDEST AND
                  CDSERVFILI = @V_CDSERVDEST AND
                  S.CDDIETPAD = @C_CARD_CDDIETPAD AND
                  P.CDDIETPAD = S.CDDIETPAD AND
                  P.IDTIPODIET = 'S';

               IF (@V_IDTIPOSERV = 'N') OR (@V_IDTIPOSERV = 'D' AND (@V_CDDIETDEST <> 'XXXX')) BEGIN
                  IF @V_CONTCARDDEST = 0
                  BEGIN
                     SET @V_NRCARDAPIO = NULL;
                     SET @V_CDCONTADOR = 'CARDAPIO'+@P_CDFILIDEST;
                     EXEC NOVO_CODIGO @V_CDCONTADOR, @P_SEQUENCIAL = @V_NRCARDAPIO OUTPUT, @P_QTDE = 1;
                     SET @V_NRCARDAPIO = SUBSTRING(@V_NRCARDAPIO,11,10);

                     IF @P_IDCOPCOMENS = 'S'
                     BEGIN
                    /* Insere o novo cardpio copiando os comensais da origem */

                        SET @C_COMENSSERV_QTCOM = @C_CARD_QTCOMESTICAR;
                        SET @C_COMENSSERV_QTCLI = @C_CARD_QTCLIESTICAR;
                        SET @C_COMENSSERV_QTFUN = @C_CARD_QTFUNESTICAR;
                        SET @C_COMENSSERV_QTDOA = @C_CARD_QTDOAESTICAR;
                        SET @C_TURNOSERV_QTT1   = @C_CARD_QTESTITURNO1;
                        SET @C_TURNOSERV_QTT2   = @C_CARD_QTESTITURNO2;
                        SET @C_TURNOSERV_QTT3   = @C_CARD_QTESTITURNO3;
                        SET @C_TURNOSERV_QTT4   = @C_CARD_QTESTITURNO4;
                     END
                     ELSE BEGIN
                      /* Insere o novo cardpio com os comensais do servio ou dieta destino */
                        IF @V_IDTIPOSERV = 'N' BEGIN

                           DECLARE C_COMENSSERV CURSOR FOR
                           SELECT
                             ISNULL(CASE @V_DIASEMANA WHEN 2 THEN QTCOMESTISEG WHEN 3 THEN QTCOMESTITER WHEN 4 THEN QTCOMESTIQUA WHEN 5 THEN QTCOMESTIQUI WHEN 6 THEN QTCOMESTISEX WHEN 7 THEN QTCOMESTISAB WHEN 1 THEN QTCOMESTIDOM WHEN 8 THEN QTCOMESTIFER END, 0),
                             ISNULL(CASE @V_DIASEMANA WHEN 2 THEN QTCLIESTISEG WHEN 3 THEN QTCLIESTITER WHEN 4 THEN QTCLIESTIQUA WHEN 5 THEN QTCLIESTIQUI WHEN 6 THEN QTCLIESTISEX WHEN 7 THEN QTCLIESTISAB WHEN 1 THEN QTCLIESTIDOM WHEN 8 THEN QTCLIESTIFER END, 0),
                             ISNULL(CASE @V_DIASEMANA WHEN 2 THEN QTFUNESTISEG WHEN 3 THEN QTFUNESTITER WHEN 4 THEN QTFUNESTIQUA WHEN 5 THEN QTFUNESTIQUI WHEN 6 THEN QTFUNESTISEX WHEN 7 THEN QTFUNESTISAB WHEN 1 THEN QTFUNESTIDOM WHEN 8 THEN QTFUNESTIFER END, 0),
                             ISNULL(CASE @V_DIASEMANA WHEN 2 THEN QTDOAESTISEG WHEN 3 THEN QTDOAESTITER WHEN 4 THEN QTDOAESTIQUA WHEN 5 THEN QTDOAESTIQUI WHEN 6 THEN QTDOAESTISEX WHEN 7 THEN QTDOAESTISAB WHEN 1 THEN QTDOAESTIDOM WHEN 8 THEN QTDOAESTIFER END, 0)
                           FROM SERVICO
                           WHERE
                              CDFILIAL = @P_CDFILIDEST AND
                              CDSERVFILI = @V_CDSERVDEST;

                           OPEN C_COMENSSERV;
                           FETCH NEXT FROM C_COMENSSERV INTO
                              @C_COMENSSERV_QTCOM,
                              @C_COMENSSERV_QTCLI,
                              @C_COMENSSERV_QTFUN,
                              @C_COMENSSERV_QTDOA;
                           IF (@@FETCH_STATUS <> 0)
                           BEGIN
                              SET @C_COMENSSERV_QTCOM = 0;
                              SET @C_COMENSSERV_QTCLI = 0;
                              SET @C_COMENSSERV_QTFUN = 0;
                              SET @C_COMENSSERV_QTDOA = 0;
                           END;
                           CLOSE C_COMENSSERV;
                           DEALLOCATE C_COMENSSERV;
                        END;
                        IF @V_IDTIPOSERV = 'D' BEGIN

                           DECLARE C_DIETSERV CURSOR FOR
                           SELECT
                             ISNULL(CASE @V_DIASEMANA WHEN 2 THEN QTCOMDIETSEG WHEN 3 THEN QTCOMDIETTER WHEN 4 THEN QTCOMDIETQUA WHEN 5 THEN QTCOMDIETQUI WHEN 6 THEN QTCOMDIETSEX WHEN 7 THEN QTCOMDIETSAB WHEN 1 THEN QTCOMDIETDOM WHEN 8 THEN QTCOMDIETFER END, 0),
                             ISNULL(CASE @V_DIASEMANA WHEN 2 THEN QTCLIDIETSEG WHEN 3 THEN QTCLIDIETTER WHEN 4 THEN QTCLIDIETQUA WHEN 5 THEN QTCLIDIETQUI WHEN 6 THEN QTCLIDIETSEX WHEN 7 THEN QTCLIDIETSAB WHEN 1 THEN QTCLIDIETDOM WHEN 8 THEN QTCLIDIETFER END, 0),
                             ISNULL(CASE @V_DIASEMANA WHEN 2 THEN QTFUNDIETSEG WHEN 3 THEN QTFUNDIETTER WHEN 4 THEN QTFUNDIETQUA WHEN 5 THEN QTFUNDIETQUI WHEN 6 THEN QTFUNDIETSEX WHEN 7 THEN QTFUNDIETSAB WHEN 1 THEN QTFUNDIETDOM WHEN 8 THEN QTFUNDIETFER END, 0),
                             ISNULL(CASE @V_DIASEMANA WHEN 2 THEN QTDOADIETSEG WHEN 3 THEN QTDOADIETTER WHEN 4 THEN QTDOADIETQUA WHEN 5 THEN QTDOADIETQUI WHEN 6 THEN QTDOADIETSEX WHEN 7 THEN QTDOADIETSAB WHEN 1 THEN QTDOADIETDOM WHEN 8 THEN QTDOADIETFER END, 0)
                           FROM DIETSERV S, DIETPADR P
                           WHERE
                           CDFILIAL     = @P_CDFILIDEST AND
                           CDSERVFILI   = @V_CDSERVDEST AND
                           S.CDDIETPAD  = @V_CDDIETDEST AND
                           P.CDDIETPAD  = S.CDDIETPAD  AND
                           P.IDTIPODIET = 'S';

                           OPEN C_DIETSERV;
                           FETCH NEXT FROM C_DIETSERV INTO
                              @C_COMENSSERV_QTCOM,
                              @C_COMENSSERV_QTCLI,
                              @C_COMENSSERV_QTFUN,
                              @C_COMENSSERV_QTDOA;
                           IF (@@FETCH_STATUS <> 0) BEGIN
                              SET @C_COMENSSERV_QTCOM = 0;
                              SET @C_COMENSSERV_QTCLI = 0;
                              SET @C_COMENSSERV_QTFUN = 0;
                              SET @C_COMENSSERV_QTDOA = 0;
                           END;
                           CLOSE C_DIETSERV;
                           DEALLOCATE C_DIETSERV;
                        END;

                        DECLARE C_TURNOSERV CURSOR FOR
                        SELECT SUM(T1),SUM(T2),SUM(T3),SUM(T4)
                        FROM
                        (SELECT
                            ISNULL(CASE @V_DIASEMANA WHEN 2 THEN QTCOMESTTSEG WHEN 3 THEN QTCOMESTTTER WHEN 4 THEN QTCOMESTTQUA WHEN 5 THEN QTCOMESTTQUI WHEN 6 THEN QTCOMESTTSEX WHEN 7 THEN QTCOMESTTSAB WHEN 1 THEN QTCOMESTTDOM WHEN 8 THEN QTCOMESTTFER END, 0) T1,
                            0 T2,
                            0 T3,
                            0 T4
                         FROM TURNOSERV
                         WHERE
                            CDFILIAL = @P_CDFILIDEST AND
                            CDSERVFILI = @V_CDSERVDEST AND
                            CDTURNO = '1'
                         UNION
                         SELECT
                            0 T1,
                            ISNULL(CASE @V_DIASEMANA WHEN 2 THEN QTCOMESTTSEG WHEN 3 THEN QTCOMESTTTER WHEN 4 THEN QTCOMESTTQUA WHEN 5 THEN QTCOMESTTQUI WHEN 6 THEN QTCOMESTTSEX WHEN 7 THEN QTCOMESTTSAB WHEN 1 THEN QTCOMESTTDOM WHEN 8 THEN QTCOMESTTFER END, 0) T2,
                            0 T3,
                            0 T4
                         FROM TURNOSERV
                         WHERE
                            CDFILIAL = @P_CDFILIDEST AND
                            CDSERVFILI = @V_CDSERVDEST AND
                            CDTURNO = '2'
                         UNION
                         SELECT
                            0 T1,
                            0 T2,
                            ISNULL(CASE @V_DIASEMANA WHEN 2 THEN QTCOMESTTSEG WHEN 3 THEN QTCOMESTTTER WHEN 4 THEN QTCOMESTTQUA WHEN 5 THEN QTCOMESTTQUI WHEN 6 THEN QTCOMESTTSEX WHEN 7 THEN QTCOMESTTSAB WHEN 1 THEN QTCOMESTTDOM WHEN 8 THEN QTCOMESTTFER END, 0) T3,
                            0 T4
                         FROM TURNOSERV
                         WHERE
                            CDFILIAL = @P_CDFILIDEST AND
                            CDSERVFILI = @V_CDSERVDEST AND
                            CDTURNO = '3'
                         UNION
                         SELECT
                            0 T1,
                            0 T2,
                            0 T3,
                            ISNULL(CASE @V_DIASEMANA WHEN 2 THEN QTCOMESTTSEG WHEN 3 THEN QTCOMESTTTER WHEN 4 THEN QTCOMESTTQUA WHEN 5 THEN QTCOMESTTQUI WHEN 6 THEN QTCOMESTTSEX WHEN 7 THEN QTCOMESTTSAB WHEN 1 THEN QTCOMESTTDOM WHEN 8 THEN QTCOMESTTFER END, 0) T4
                         FROM TURNOSERV
                         WHERE
                            CDFILIAL = @P_CDFILIDEST AND
                            CDSERVFILI = @V_CDSERVDEST AND
                            CDTURNO = '4'
                         ) A;

                        OPEN C_TURNOSERV;
                        FETCH NEXT FROM C_TURNOSERV INTO
                           @C_TURNOSERV_QTT1,
                           @C_TURNOSERV_QTT2,
                           @C_TURNOSERV_QTT3,
                           @C_TURNOSERV_QTT4;
                        IF @@FETCH_STATUS <> 0
                        BEGIN
                           SET @C_TURNOSERV_QTT1 = 0;
                           SET @C_TURNOSERV_QTT2 = 0;
                           SET @C_TURNOSERV_QTT3 = 0;
                           SET @C_TURNOSERV_QTT4 = 0;
                        END;
                        CLOSE C_TURNOSERV;
                        DEALLOCATE C_TURNOSERV;
                     END;

                     IF (@C_COMENSSERV_QTCOM <> 0) AND (NOT @C_COMENSSERV_QTCOM IS NULL) BEGIN
                        INSERT INTO CARDADIA
                          (CDFILIAL,
                           CDSERVFILI,
                           DTCARDAPIO,
                           NRCARDAPIO,
                           CDDIETPAD,
                           DTMESCARD,
                           CDOPERADOR,
                           DSCARDAPIO,
                           DTULTATUACAR,
                           QTCOMESTICAR,
                           QTCLIESTICAR,
                           QTFUNESTICAR,
                           QTDOAESTICAR,
                           QTESTITURNO1,
                           QTESTITURNO2,
                           QTESTITURNO3,
                           QTESTITURNO4)
                        VALUES
                           (@P_CDFILIDEST,
                            @V_CDSERVDEST,
                            @V_DTCARDDEST,
                            @V_NRCARDAPIO,
                            @C_CARD_CDDIETPAD,
                            @V_DTMESDEST,
                            @P_CDOPERADOR,
                            @C_CARD_DSCARDAPIO,
                            GETDATE(),
                            @C_COMENSSERV_QTCOM,
                            @C_COMENSSERV_QTCLI,
                            @C_COMENSSERV_QTFUN,
                            @C_COMENSSERV_QTDOA,
                            @C_TURNOSERV_QTT1,
                            @C_TURNOSERV_QTT2,
                            @C_TURNOSERV_QTT3,
                            @C_TURNOSERV_QTT4);
                           /*verifica se servico e transportado e se existe ponto de entrega e insere na cardacli*/
                        IF @V_IDSERVTRAN = 'S' BEGIN
                           SELECT @V_EXISCARDACLI  = COUNT(*)
                             FROM CARDACLI 
                            WHERE (CDFILIAL   = @P_CDFILIDEST)   AND
                                  (NRCARDAPIO = @V_NRCARDAPIO);
                           IF @V_EXISCARDACLI = 0 BEGIN
                              /*se copia comensais do servio de origem, entao insere cardacli do origem*/
                              IF @P_IDCOPCOMENS = 'S' BEGIN
                                 /*verifica se todos os pontos de entrega do servio origem  igual ao servico destino*/
                                 SELECT @V_PTOENTREGA = COUNT(*)
                                   FROM
                                  (SELECT COUNT(B.CDDESTFILI) COUNT_IGUAIS   
                                    FROM DESTSRVCLI A, CARDACLI B
                                   WHERE (A.CDFILIAL   = @P_CDFILIDEST)         AND
                                         (A.CDSERVFILI = @V_CDSERVDEST)         AND 
                                         (B.CDFILIAL   = @P_CDFILIORIG)   AND
                                         (B.NRCARDAPIO = @C_CARD_NRCARDAPIO)          AND
                                         (A.CDDESTFILI = B.CDDESTFILI)         AND
                                         (A.CDCLIENTE  = B.CDCLIENTE))IGUAIS,
                                               
                                  (SELECT COUNT(CDDESTFILI) COUNT_ORIGEM
                                     FROM CARDACLI 
                                   WHERE (CDFILIAL   = @P_CDFILIORIG)   AND
                                         (NRCARDAPIO = @C_CARD_NRCARDAPIO)) ORIGEM,
                                              
                                    (SELECT COUNT(CDDESTFILI) COUNT_DESTINO
                                       FROM DESTSRVCLI 
                                      WHERE (CDFILIAL   = @P_CDFILIDEST)   AND
                                            (CDSERVFILI = @V_CDSERVDEST)) DESTINO
                                               
                                  WHERE IGUAIS.COUNT_IGUAIS = ORIGEM.COUNT_ORIGEM AND
                                        ORIGEM.COUNT_ORIGEM = DESTINO.COUNT_DESTINO;
                                 /*se pontos de entrega forem iguais importa a cardacli para o servio destino*/
                                 IF @V_PTOENTREGA > 0 BEGIN
                                    INSERT INTO CARDACLI (CDFILIAL, NRCARDAPIO, CDCLIENTE, CDDESTFILI, QTCOMESTICLI)
                                           (SELECT @P_CDFILIDEST,
                                                   @V_NRCARDAPIO,
                                                      CDCLIENTE,
                                                     CDDESTFILI,
                                                   QTCOMESTICLI
                                             FROM CARDACLI
                                            WHERE (CDFILIAL   = @P_CDFILIORIG)   AND
                                                  (NRCARDAPIO = @C_CARD_NRCARDAPIO));  
                                 END ELSE BEGIN
                                    IF (@V_NRLOGINTCARD IS NULL) BEGIN
                                       SET @V_CDCONTADOR = 'LOGINTCARD'+@P_CDFILIDEST;
								       EXEC NOVO_CODIGO @V_CDCONTADOR, @P_SEQUENCIAL = @V_NRLOGINTCARD OUTPUT, @P_QTDE = 1;
						               SET @V_NRLOGINTCARD = SUBSTRING(@V_NRLOGINTCARD,11,10);
                                    END;
                                    /* 6o Caso: Pontos de entrega para o servico nao foi importado*/
                                    EXEC GRAVA_LOGINTCARD @V_NRLOGINTCARD, @P_CDFILIORIG, @P_CDFILIDEST, @V_CDSERVDEST, @V_DTCARDDEST, ' ', ' ', ' ',  '6';
                                 END;
                              END ELSE BEGIN /*insere na cardacli os pontos de entrega do servico de destino*/
                                 INSERT INTO CARDACLI (CDFILIAL, NRCARDAPIO, CDCLIENTE, CDDESTFILI, QTCOMESTICLI)
                                (SELECT @P_CDFILIDEST,
                                         @V_NRCARDAPIO,
                                         CDCLIENTE,
                                         CDDESTFILI,
                                         CASE ISNULL(@V_DIASEMANA, '8')
                                                     WHEN '1' THEN QTCOESTCSDOM
                                                     WHEN '2' THEN QTCOESTCSSEG
                                                     WHEN '3' THEN QTCOESTCSTER
                                                     WHEN '4' THEN QTCOESTCSQUA
                                                     WHEN '5' THEN QTCOESTCSQUI
                                                     WHEN '6' THEN QTCOESTCSSEX
                                                     WHEN '7' THEN QTCOESTCSSAB
                                                         ELSE QTCOESTCSFER END QTCOESTCS
                                   FROM DESTSRVCLI
                                  WHERE (CDFILIAL   = @P_CDFILIDEST)   AND
                                        (CDSERVFILI = @V_CDSERVDEST));   
                              END;
                           END;
                        END; 
                     END
                     ELSE BEGIN
                        IF @V_NRLOGINTCARD IS NULL BEGIN
                           SET @V_CDCONTADOR = 'LOGINTCARD'+@P_CDFILIDEST;
                           EXEC NOVO_CODIGO @V_CDCONTADOR, @P_SEQUENCIAL = @V_NRLOGINTCARD OUTPUT, @P_QTDE = 1;
                           SET @V_NRLOGINTCARD = SUBSTRING(@V_NRLOGINTCARD,11,10);
                        END;
                        /* 1o Caso: Cardpio seria gravado com comensais = 0 */
                        EXEC GRAVA_LOGINTCARD @V_NRLOGINTCARD, @P_CDFILIORIG, @P_CDFILIDEST, @V_CDSERVDEST, @V_DTCARDDEST, ' ', ' ', ' ',  '0';
                     END;
                  END   /* @V_CONTCARDDEST = 0*/
                  ELSE BEGIN
                     IF @V_IDTIPOSERV = 'N' BEGIN
                        SELECT
                           @V_NRCARDAPIO       = MAX(NRCARDAPIO),
                           @C_COMENSSERV_QTCOM = SUM(QTCOMESTICAR)
                        FROM
                           CARDADIA
                        WHERE
                            CDFILIAL   = @P_CDFILIDEST AND
                            CDSERVFILI = @V_CDSERVDEST AND
                            DTCARDAPIO = @V_DTCARDDEST;
                     END ELSE BEGIN
                        IF @V_IDTIPOSERV = 'D' BEGIN
                           SELECT
                              @V_NRCARDAPIO       = MAX(NRCARDAPIO),
                              @C_COMENSSERV_QTCOM = SUM(QTCOMESTICAR)
                           FROM
                              CARDADIA
                           WHERE
                              CDFILIAL   = @P_CDFILIDEST AND
                              CDSERVFILI = @V_CDSERVDEST AND
                              DTCARDAPIO = @V_DTCARDDEST AND
                              CDDIETPAD  = @V_CDDIETDEST;
                        END;
                     END;
                  END;
                  IF (@C_COMENSSERV_QTCOM <> 0) AND (NOT @C_COMENSSERV_QTCOM IS NULL)
                  BEGIN
                     SET @V_NOVOSEQ = @V_MAXNRSEQDEST;
                     SET @V_NOVOORD = @V_MAXNRORDDEST;
                     /* INSERT INTO COMPCARD.... */
                     DECLARE C_PRATOSORIG CURSOR FOR
                     SELECT
                        F.CDFILIAL,
                        C.NRCARDAPIO,
                        F.NRSEQCNFMES AS NRSEQPRATCAR,
                        C.CDFILAUXPRAT,
                        ISNULL(C.CDPRATO, '') CDPRATO,
                        C.VRPECONSCARD,
                        F.CDTIPOPRAT,
                        F.NRORDCNFMES AS NRORDPRATCAR,
                        P.NMPRATO
                     FROM
                        COMPCARD C RIGHT JOIN CNFCAMES F ON
                                        F.CDFILIAL    = C.CDFILIAL AND
                                        F.NRSEQCNFMES = C.NRSEQPRATCAR AND
                                        @C_CARD_NRCARDAPIO = C.NRCARDAPIO
                                   LEFT JOIN PRATO P ON
                                        C.CDPRATO      = P.CDPRATO AND
                                        C.CDFILAUXPRAT = P.CDFILAUXPRAT,
                        LISTA L
                     WHERE
                        F.CDFILIAL     = @P_CDFILIORIG AND
                        F.CDSERVFILI   = @V_CDSERVORIG AND
                        F.DTREFECNFMES = @V_DTMESORIG  AND
                        L.NRLISTA      = @V_CONFIGORIG AND
                        L.CDLISTA      = RIGHT(REPLICATE('0', 3) + CONVERT(VARCHAR(3), F.NRSEQCNFMES), 3)
                     ORDER BY
                        NRORDCNFMES;
                     OPEN C_PRATOSORIG;
                     FETCH NEXT FROM C_PRATOSORIG INTO
                        @C_PRATOS_CDFILIAL,
                        @C_PRATOS_NRCARDAPIO,
                        @C_PRATOS_NRSEQPRATCAR,
                        @C_PRATOS_CDFILAUXPRAT,
                        @C_PRATOS_CDPRATO,
                        @C_PRATOS_VRPECONSCARD,
                        @C_PRATOS_CDTIPOPRAT,
                        @C_PRATOS_NRORDPRATCAR,
                        @C_PRATOS_NMPRATO;

                     WHILE (@@FETCH_STATUS = 0)
                     BEGIN
                        SET @V_NOVOSEQ = @V_NOVOSEQ + 1;
                        SET @V_NOVOORD = @V_NOVOORD + 1;
                        IF (@C_PRATOS_CDPRATO <> '') BEGIN
                           SET @V_CDFILAUXDEST = @C_PRATOS_CDFILAUXPRAT;
                           IF @C_PRATOS_CDFILAUXPRAT <> 'P'
                           BEGIN
                              SET @V_CDFILAUXDEST = @P_CDFILIDEST;
                           END;
                           SET @V_CONTPRAT = 1;
                           SET @V_EXISTPRAT = 1;
                           IF @P_CDFILIORIG <> @P_CDFILIDEST
                           BEGIN
                              SET @V_EXISTPRAT = 0;
                              SELECT @V_EXISTPRAT = COUNT(*)
                                FROM PRATO
                               WHERE
                                 CDFILAUXPRAT = @V_CDFILAUXDEST  AND
                                 CDPRATO = @C_PRATOS_CDPRATO;
                              SET @V_CONTPRAT = 0;
                              SELECT @V_CONTPRAT = COUNT(*)
                                FROM PRATO
                               WHERE
                                 CDPRATO = @C_PRATOS_CDPRATO AND
                                 CDFILAUXPRAT = @V_CDFILAUXDEST AND
                                 TEKNISA.STRCOMP(NMPRATO, @C_PRATOS_NMPRATO, 0) = 0;
                           END;
                           /* IDUTRPADCA = 'N' --> NO PERMITE RECEITA PADRO NO CARDPIO */
                           SET @V_CONTPRODRECE = 0;

                           IF @V_IDUTRPADCA = 'N' BEGIN

                              SELECT @V_CONTPRODRECE = SUM(A.NUM)
                                FROM
                                (SELECT COUNT(*) NUM FROM RECEFILI
                                WHERE
                                 CDFILAUXPRAT = @V_CDFILAUXDEST
                                 AND CDPRATO = @C_PRATOS_CDPRATO
                                 AND CDFILIAL = @P_CDFILIDEST
                                 UNION ALL
                                 SELECT COUNT(*) NUM FROM RECESERV
                                 WHERE
                                 CDFILAUXPRAT = @V_CDFILAUXDEST
                                 AND CDPRATO = @C_PRATOS_CDPRATO
                                 AND CDFILIAL = @P_CDFILIDEST
                                 AND CDSERVFILI = @V_CDSERVDEST) A;
                           END
                           ELSE BEGIN
                              SELECT @V_CONTPRODRECE = SUM(A.NUM)
                              FROM
                              (SELECT COUNT(*) NUM FROM RECEPADR
                               WHERE
                               CDFILAUXPRAT = @V_CDFILAUXDEST
                               AND CDPRATO = @C_PRATOS_CDPRATO
                               UNION ALL
                               SELECT COUNT(*) NUM FROM RECEFILI
                               WHERE
                               CDFILAUXPRAT = @V_CDFILAUXDEST
                               AND CDPRATO = @C_PRATOS_CDPRATO
                               AND CDFILIAL = @P_CDFILIDEST
                               UNION ALL
                               SELECT COUNT(*) NUM FROM RECESERV
                               WHERE
                               CDFILAUXPRAT = @V_CDFILAUXDEST
                               AND CDPRATO = @C_PRATOS_CDPRATO
                               AND CDFILIAL = @P_CDFILIDEST
                               AND CDSERVFILI = @V_CDSERVDEST) A;
                           END;
                           /* VERIFICAR SE H PRODUTO INATIVO NO PRATO */
                           /* verificar a receita utilizada pelo prato destino */
                           SET @V_TIPORECE = 'N';
                           SELECT @V_TIPORECE = ISNULL(MAX(TIPO), 'N')
                           FROM  (SELECT 'S' AS TIPO
                                  FROM   RECESERV
                                  WHERE  (CDFILIAL     = @P_CDFILIDEST)        AND
                                         (CDSERVFILI   = @V_CDSERVDEST)        AND
                                         (CDPRATO      = @C_PRATOS_CDPRATO) AND
                                         (CDFILAUXPRAT = @V_CDFILAUXDEST)
                                  UNION ALL
                                  SELECT 'F' AS TIPO
                                  FROM   RECEFILI F
                                  WHERE  (CDFILIAL     = @P_CDFILIDEST)         AND
                                         (CDPRATO      = @C_PRATOS_CDPRATO)  AND
                                         (CDFILAUXPRAT = @V_CDFILAUXDEST)       AND
                                         NOT EXISTS (SELECT CDPRATO
                                                     FROM   RECESERV
                                                     WHERE  (CDFILIAL     = F.CDFILIAL)     AND
                                                            (CDSERVFILI   = @V_CDSERVDEST)  AND
                                                            (CDPRATO      = F.CDPRATO)      AND
                                                            (CDFILAUXPRAT = F.CDFILAUXPRAT))
                                  UNION ALL
                                  SELECT 'P' AS TIPO
                                  FROM   RECEPADR P
                                  WHERE  (CDPRATO      = @C_PRATOS_CDPRATO) AND
                                         (CDFILAUXPRAT = @V_CDFILAUXDEST)      AND
                                         NOT EXISTS (SELECT CDPRATO
                                                     FROM   RECEFILI
                                                     WHERE  (CDFILIAL     = @P_CDFILIDEST)   AND
                                                            (CDPRATO      = P.CDPRATO)       AND
                                                            (CDFILAUXPRAT = P.CDFILAUXPRAT)) AND
                                         NOT EXISTS (SELECT CDPRATO
                                                     FROM   RECESERV
                                                     WHERE  (CDFILIAL     = @P_CDFILIDEST) AND
                                                            (CDSERVFILI   = @V_CDSERVDEST) AND
                                                            (CDPRATO      = P.CDPRATO)     AND
                                                            (CDFILAUXPRAT = P.CDFILAUXPRAT))) A;
                           /************************/
                           /*Parametro para selecionar apenas produto de nvel completo*/

                           SELECT @V_CDNVPRODUTO = MAX(CDNVPRODUTO)
                           FROM PRODUTO;

                           SET @V_PRODINATIVO   = 0;
                           SET @V_CDARVPRODINAT ='';
                           IF (@V_TIPORECE = 'S')   /*RECEITA POR SERVIO COM PRODUTO INATIVO*/
                           BEGIN
                              DECLARE C_RECESERV CURSOR FOR
                              SELECT P.CDARVPROD, P.IDPRODATIVPR, ISNULL(PF.IDPRODATIV, 'A') AS IDPRODATIV
                                FROM PRODUTO P LEFT JOIN PRODFILI PF
                                                      ON P.CDPRODUTO = PF.CDPRODUTO
                                                     AND @P_CDFILIDEST = PF.CDFILIAL,
                                     RECESERV RS
                               WHERE P.CDNVPRODUTO   = @V_CDNVPRODUTO          AND
                                     RS.CDFILIAL     = @P_CDFILIDEST           AND
                                     RS.CDSERVFILI   = @V_CDSERVDEST           AND
                                     RS.CDPRATO      = @C_PRATOS_CDPRATO  AND
                                     RS.CDFILAUXPRAT = @V_CDFILAUXDEST         AND
                                     P.CDPRODUTO     = RS.CDPRODUTO;
                              OPEN C_RECESERV;
                              FETCH NEXT FROM C_RECESERV INTO
                                 @C_RECESERV_CDARVPROD,
                                 @C_RECESERV_IDPRODATIVPR,
                                 @C_RECESERV_IDPRODATIV;
                              WHILE (@@FETCH_STATUS = 0)
                              BEGIN
                                 IF (@C_RECESERV_IDPRODATIV = 'I') OR (@C_RECESERV_IDPRODATIVPR = 'N')     /*O CAMPO CDPRATLOG (TABELA:LOGINTCARD) GUARDAR OS PRODUTO INATIVOS*/
                                 BEGIN
                                    SET @V_PRODINATIVO = 1;
                                    SET @V_CDARVPRODINAT = @C_RECESERV_CDARVPROD;
                                 END;
                                 FETCH NEXT FROM C_RECESERV INTO
                                    @C_RECESERV_CDARVPROD,
                                    @C_RECESERV_IDPRODATIVPR,
                                    @C_RECESERV_IDPRODATIV;
                              END;   /*C_RECESERV*/
                              CLOSE C_RECESERV;
                              DEALLOCATE C_RECESERV;
                           END   /*@V_TIPORECE = 'S'*/
                           ELSE BEGIN   /*@V_TIPORECE <> 'S'*/
                             IF (@V_TIPORECE = 'F') /*RECEITA LOCAL COM PRODUTO INATIVO*/
                             BEGIN
                                DECLARE C_RECEFILI CURSOR FOR
                                SELECT P.CDARVPROD, P.IDPRODATIVPR, ISNULL(PF.IDPRODATIV, 'A') AS IDPRODATIV
                                  FROM PRODUTO P LEFT JOIN PRODFILI PF
                                                        ON P.CDPRODUTO = PF.CDPRODUTO
                                                       AND @P_CDFILIDEST = PF.CDFILIAL,
                                       RECEFILI RF
                                 WHERE P.CDNVPRODUTO   = @V_CDNVPRODUTO         AND
                                       RF.CDFILIAL     = @P_CDFILIDEST          AND
                                       RF.CDPRATO      = @C_PRATOS_CDPRATO AND
                                       RF.CDFILAUXPRAT = @V_CDFILAUXDEST        AND
                                       P.CDPRODUTO     = RF.CDPRODUTO;
                                OPEN C_RECEFILI;
                                FETCH NEXT FROM C_RECEFILI INTO
                                   @C_RECEFILI_CDARVPROD,
                                   @C_RECEFILI_IDPRODATIVPR,
                                   @C_RECEFILI_IDPRODATIV;
                                WHILE (@@FETCH_STATUS = 0)
                                BEGIN
                                   IF (@C_RECEFILI_IDPRODATIV = 'I') OR (@C_RECEFILI_IDPRODATIVPR = 'N')    /*O CAMPO CDPRATLOG (TABELA:LOGINTCARD) GUARDAR OS PRODUTO INATIVOS*/
                                   BEGIN
                                      SET @V_PRODINATIVO = 1;
                                      SET @V_CDARVPRODINAT = @C_RECEFILI_CDARVPROD;
                                   END;
                                   FETCH NEXT FROM C_RECEFILI INTO
                                         @C_RECEFILI_CDARVPROD,
                                         @C_RECEFILI_IDPRODATIVPR,
                                         @C_RECEFILI_IDPRODATIV;
                                END;   /*C_RECEFILI*/
                                CLOSE C_RECEFILI;
                                DEALLOCATE C_RECEFILI;
                             END   /*@V_TIPORECE = 'F'*/
                             ELSE BEGIN
                               IF (@V_TIPORECE ='P')   /*RECEITA PADRO COM PRODUTO INATIVO*/
                               BEGIN
                                  DECLARE C_RECEPADR CURSOR FOR
                                  SELECT P.CDARVPROD, P.IDPRODATIVPR, ISNULL(PF.IDPRODATIV, 'A') AS IDPRODATIV
                                    FROM PRODUTO  P LEFT JOIN PRODFILI PF
                                                           ON P.CDPRODUTO = PF.CDPRODUTO
                                                          AND @P_CDFILIDEST = PF.CDFILIAL,
                                         RECEPADR RP
                                   WHERE P.CDNVPRODUTO        = @V_CDNVPRODUTO        AND
                                         RP.CDPRATO           = @C_PRATOS_CDPRATO AND
                                         RP.CDFILAUXPRAT      = @V_CDFILAUXDEST       AND
                                         RP.CDPRODUTO         = P.CDPRODUTO;
                                  OPEN C_RECEPADR;
                                  FETCH NEXT FROM C_RECEPADR INTO
                                     @C_RECEPADR_CDARVPROD,
                                     @C_RECEPADR_IDPRODATIVPR,
                                     @C_RECEPADR_IDPRODATIV;
                                  WHILE (@@FETCH_STATUS = 0)
                                  BEGIN
                                     IF (@C_RECEPADR_IDPRODATIV = 'I') OR (@C_RECEPADR_IDPRODATIVPR = 'N') BEGIN /*O CAMPO CDPRATLOG (TABELA:LOGINTCARD) GUARDAR OS PRODUTO INATIVOS*/
                                        SET @V_PRODINATIVO = 1;
                                        SET @V_CDARVPRODINAT = @C_RECEPADR_CDARVPROD;
                                     END;
                                     FETCH NEXT FROM C_RECEPADR INTO
                                        @C_RECEPADR_CDARVPROD,
                                        @C_RECEPADR_IDPRODATIVPR,
                                        @C_RECEPADR_IDPRODATIV;
                                  END;    /*C_RECEPADR*/
                                  CLOSE C_RECEPADR;
                                  DEALLOCATE C_RECEPADR;
                               END;   /*@V_TIPORECE ='P'*/
                             END;
                           END;   /*@V_TIPORECE <> 'S'*/

                           /***********************/

                           /* FIM - VERIFICAR SE H PRODUTO INATIVO NO PRATO */
                           IF (@V_CONTPRAT <> 0) AND (@V_CONTPRODRECE <> 0) AND (@V_PRODINATIVO <> 1)
                           BEGIN
                              SELECT
                                 @V_VALOR_A_MAIS = MAX(CASE B.QTTPPRATOS WHEN 0 THEN 0 ELSE ROUND((A.VALOR / B.QTTPPRATOS),6,6) END)
                              FROM
                                 (SELECT
                                     C.CDTIPOPRAT, C.NRSEQPRATCAR,
                                     SUM(C.VRPECONSCARD) VALOR
                                  FROM
                                     COMPCARD C
                                  WHERE
                                     C.CDFILIAL   = @P_CDFILIORIG AND
                                     C.NRCARDAPIO = @C_CARD_NRCARDAPIO AND
                                     NOT EXISTS (SELECT L.CDLISTA
                                                 FROM   LISTA L
                                                 WHERE  L.NRLISTA = @V_CONFIGORIG AND
                                                        L.CDLISTA = C.NRSEQPRATCAR)
                                  GROUP BY
                                     C.CDTIPOPRAT, C.NRSEQPRATCAR) A,
                                 (SELECT
                                     C.CDTIPOPRAT, C.NRSEQCNFMES,
                                     COUNT(C.CDTIPOPRAT) AS QTTPPRATOS
                                  FROM
                                     CNFCAMES C, 
                                     LISTA L
                                  WHERE
                                     C.CDFILIAL     = @P_CDFILIORIG AND
                                     C.CDSERVFILI   = @V_CDSERVORIG AND
                                     C.DTREFECNFMES = @V_DTMESORIG  AND
                                     L.NRLISTA      = @V_CONFIGORIG AND
                                     L.CDLISTA      = C.NRSEQCNFMES
                                  GROUP BY
                                     C.CDTIPOPRAT, C.NRSEQCNFMES) B
                              WHERE
                                 A.CDTIPOPRAT = B.CDTIPOPRAT AND
                                 A.NRSEQPRATCAR = @C_PRATOS_NRSEQPRATCAR;
                              IF @V_VALOR_A_MAIS IS NULL BEGIN
                                 SET @V_VALOR_A_MAIS = 0;
                              END;
                              /*Verifica se existia um prato REPROVADO ou ESPECFICO neste sequencial
                                a ser includo*/
                              IF (@P_MODOPROC = 'M') AND (@V_IDCARDDESCENTR = 'S') BEGIN
                                 IF @V_AUXESP = 'S' BEGIN
                                    IF (@P_IDSOBREPOR = 'S') BEGIN
                                       SET @V_CDPRATODEL = NULL;
                                       SET @V_CDFILAUXPRATDEL = NULL;
                                       SELECT @V_CDPRATODEL = CDPRATO, @V_CDFILAUXPRATDEL = CDFILAUXPRAT
                                         FROM COMPCARDDEL
                                        WHERE CDFILIAL = @P_CDFILIDEST
                                          AND CDSERVFILI = @V_CDSERVDEST
                                          AND DTPRATEXCL = @V_DTCARDDEST
                                          AND NRSEQPRATEXCL = @V_NOVOSEQ;

                                       IF @V_IDMANCORCARDALT = 'S' BEGIN
                                          SET @V_PRATOESPE = 'R';
                                       END ELSE BEGIN
                                          IF ((@V_CDPRATODEL = @C_PRATOS_CDPRATO) AND (@V_CDFILAUXPRATDEL = @V_CDFILAUXDEST)) BEGIN
                                             SET @V_PRATOESPE = 'N';
                                             SET @V_CDPRATODEL = NULL;
                                             SET @V_CDFILAUXPRATDEL = NULL;
                                          END ELSE BEGIN
                                             SET @V_PRATOESPE = 'R';
                                          END;
                                       END;
                                    END ELSE BEGIN
                                       SET @V_CDPRATODEL = NULL;
                                       SET @V_CDFILAUXPRATDEL = NULL;
                                       SET @V_PRATOESPE = 'R';
                                    END;   
                                 END ELSE BEGIN
                                    SET @V_PRATOESPE = 'N';
                                    SET @V_CDPRATODEL = NULL;
                                    SET @V_CDFILAUXPRATDEL = NULL;
                                 END;       
                              END;                                                            

                              IF (@P_MODOPROC = 'F') AND (@V_IDCARDDESCENTR = 'S') BEGIN
                                 IF (@P_IDSOBREPOR = 'S') BEGIN
                                    SET @V_CDPRATODEL = NULL;
                                    SET @V_CDFILAUXPRATDEL = NULL;
                                    SELECT @V_CDPRATODEL = CDPRATO, @V_CDFILAUXPRATDEL = CDFILAUXPRAT
                                      FROM COMPCARDDEL
                                     WHERE CDFILIAL = @P_CDFILIDEST
                                       AND CDSERVFILI = @V_CDSERVDEST
                                       AND DTPRATEXCL = @V_DTCARDDEST
                                       AND NRSEQPRATEXCL = @V_NOVOSEQ;
                                    IF @V_IDMANCORCARDALT = 'S' BEGIN
                                       SET @V_PRATOESPE = 'S';
                                    END ELSE BEGIN
                                       IF ((@V_CDPRATODEL = @C_PRATOS_CDPRATO) AND (@V_CDFILAUXPRATDEL = @V_CDFILAUXDEST)) BEGIN
                                          SET @V_PRATOESPE = 'N';
                                          SET @V_CDPRATODEL = NULL;
                                          SET @V_CDFILAUXPRATDEL = NULL;
                                       END ELSE BEGIN
                                          SET @V_PRATOESPE = 'S';
                                       END;
                                    END;   
                                 END ELSE BEGIN
                                    SET @V_CDPRATODEL = NULL;
                                    SET @V_CDFILAUXPRATDEL = NULL;                                                                     
                                    SET @V_PRATOESPE = 'S';                                          
                                 END;
                              END;
                              
                              /*INSERT COMPCARD*/
                              
                              SELECT @V_NRORDCNFMES = MIN(NRORDCNFMES)
                                FROM CNFCAMES CF
                               WHERE CF.CDFILIAL     = @P_CDFILIDEST
                                 AND CF.CDSERVFILI   = @V_CDSERVDEST
                                 AND CF.DTREFECNFMES = @V_DTMESDEST
                                 AND CF.CDTIPOPRAT   = @C_PRATOS_CDTIPOPRAT
                                 AND NOT EXISTS (SELECT NRORDPRATCAR FROM COMPCARD
                                                  WHERE CDFILIAL     = @P_CDFILIDEST
                                                    AND CDTIPOPRAT   = @C_PRATOS_CDTIPOPRAT
                                                    AND NRCARDAPIO   = @V_NRCARDAPIO
                                                    AND NRORDPRATCAR = CF.NRORDCNFMES);
  
                              IF (NOT (@V_NRORDCNFMES) IS NULL) BEGIN 
                                 SELECT @V_NRSEQCNFMES = MIN(NRSEQCNFMES) 
                                   FROM CNFCAMES
                                  WHERE CDFILIAL     = @P_CDFILIDEST
                                    AND CDSERVFILI   = @V_CDSERVDEST
                                    AND DTREFECNFMES = @V_DTMESDEST
                                    AND CDTIPOPRAT   = @C_PRATOS_CDTIPOPRAT
                                    AND NRORDCNFMES  = @V_NRORDCNFMES;
                        

                                 IF NOT @V_NRSEQCNFMES IS NULL BEGIN    
									/*INSERE O PRATO ORIGEM NO PRIMEIRO TIPO DE PRATO DESTINO CORRESPONDENTE*/
                                    INSERT INTO COMPCARD (CDFILIAL, NRCARDAPIO, NRSEQPRATCAR, CDFILAUXPRAT, CDPRATO,
                                                          VRPECONSCARD, CDTIPOPRAT, NRORDPRATCAR, IDPRATOESPE,
                                                          CDPRATOMAT, CDFILAUXPRATMAT)
                                    VALUES (@P_CDFILIDEST, @V_NRCARDAPIO, @V_NRSEQCNFMES, @V_CDFILAUXDEST, @C_PRATOS_CDPRATO,
                                            @C_PRATOS_VRPECONSCARD + @V_VALOR_A_MAIS, @C_PRATOS_CDTIPOPRAT, @V_NRORDCNFMES,
                                            @V_PRATOESPE, @V_CDPRATODEL, @V_CDFILAUXPRATDEL);
                                 END;
                              END;

                           END   /*@V_CONTPRAT <> 0*/
                           ELSE BEGIN
                           /* LOG DE RESTRIES DA EXPORTAO */
                              IF @V_NRLOGINTCARD IS NULL BEGIN
                                 SET @V_CDCONTADOR = 'LOGINTCARD'+@P_CDFILIDEST;
                                 EXEC NOVO_CODIGO @V_CDCONTADOR, @P_SEQUENCIAL = @V_NRLOGINTCARD OUTPUT, @P_QTDE = 1;
                                 SET @V_NRLOGINTCARD = SUBSTRING(@V_NRLOGINTCARD,11,10);
                              END;
                              /* 2o Caso: Prato no existe no destino */
                              IF @V_EXISTPRAT = 0 BEGIN
                                 EXEC GRAVA_LOGINTCARD @V_NRLOGINTCARD, @P_CDFILIORIG, @P_CDFILIDEST, @V_CDSERVDEST, @V_DTCARDDEST, @C_PRATOS_CDPRATO, @C_PRATOS_CDFILAUXPRAT, @V_CDFILAUXDEST, '1';
                              END
                              ELSE BEGIN
                                 /* 3o Caso: Prato com nome diferente no destino */
                                 IF @V_CONTPRAT = 0 BEGIN
                                    EXEC GRAVA_LOGINTCARD @V_NRLOGINTCARD, @P_CDFILIORIG, @P_CDFILIDEST, @V_CDSERVDEST, @V_DTCARDDEST, @C_PRATOS_CDPRATO, @C_PRATOS_CDFILAUXPRAT, @V_CDFILAUXDEST, '2';
                                 END
                                 ELSE BEGIN
                                 /* 4o Caso: Prato no destino mudaria para status padro ou sem receita */
                                    IF @V_CONTPRODRECE = 0 BEGIN
                                       EXEC GRAVA_LOGINTCARD @V_NRLOGINTCARD, @P_CDFILIORIG, @P_CDFILIDEST, @V_CDSERVDEST, @V_DTCARDDEST, @C_PRATOS_CDPRATO, @C_PRATOS_CDFILAUXPRAT, @V_CDFILAUXDEST, '3';
                                    END
                                    ELSE BEGIN

                                       /* 5o Caso: Prato no destino contem produto inativo */
                                       IF @V_PRODINATIVO = 1 BEGIN
                                          EXEC GRAVA_LOGINTCARD @V_NRLOGINTCARD, @P_CDFILIORIG, @P_CDFILIDEST, @V_CDSERVDEST, @V_DTCARDDEST, @C_PRATOS_CDPRATO, @C_PRATOS_CDFILAUXPRAT, NULL, NULL;
                                       END;
                                    END;
                                 END;
                              END;
                           END;
                        END; /*@C_PRATOS_CDPRATO <> ''*/
                        FETCH NEXT FROM C_PRATOSORIG INTO
                           @C_PRATOS_CDFILIAL,
                           @C_PRATOS_NRCARDAPIO,
                           @C_PRATOS_NRSEQPRATCAR,
                           @C_PRATOS_CDFILAUXPRAT,
                           @C_PRATOS_CDPRATO,
                           @C_PRATOS_VRPECONSCARD,
                           @C_PRATOS_CDTIPOPRAT,
                           @C_PRATOS_NRORDPRATCAR,
                           @C_PRATOS_NMPRATO;
                     END; /* C_PRATOSORIG */
                     CLOSE C_PRATOSORIG;
                     DEALLOCATE C_PRATOSORIG;
                  END /*@C_COMENSSERV_QTCOM <> 0*/
                  ELSE BEGIN
                     IF @V_NRLOGINTCARD IS NULL BEGIN
                        SET @V_CDCONTADOR = 'LOGINTCARD'+@P_CDFILIDEST;
                        EXEC NOVO_CODIGO @V_CDCONTADOR, @P_SEQUENCIAL = @V_NRLOGINTCARD OUTPUT, @P_QTDE = 1;
                        SET @V_NRLOGINTCARD = SUBSTRING(@V_NRLOGINTCARD,11,10);
                     END;
                     /* 1o Caso: Cardpio seria gravado com comensais = 0 */
                     EXEC GRAVA_LOGINTCARD @V_NRLOGINTCARD, @P_CDFILIORIG, @P_CDFILIDEST, @V_CDSERVDEST, @V_DTCARDDEST, ' ', ' ', ' ',  '0';
                  END;
               END;    /*@V_IDTIPOSERV = 'N'*/

              FETCH NEXT FROM C_CARDORIG INTO
                  @C_CARD_DTCARDAPIO,
                  @C_CARD_NRCARDAPIO,
                  @C_CARD_CDDIETPAD,
                  @C_CARD_DTMESCARD,
                  @C_CARD_DSCARDAPIO,
                  @C_CARD_QTCOMESTICAR,
                  @C_CARD_QTCLIESTICAR,
                  @C_CARD_QTFUNESTICAR,
                  @C_CARD_QTDOAESTICAR,
                  @C_CARD_QTESTITURNO1,
                  @C_CARD_QTESTITURNO2,
                  @C_CARD_QTESTITURNO3,
                  @C_CARD_QTESTITURNO4;
            END; /* C_CARDORIG */
            CLOSE C_CARDORIG;
            DEALLOCATE C_CARDORIG;
         END; /* Permite incluso quando: */
         SET @V_DTCARDDEST = @V_DTCARDDEST + 1;
         FETCH NEXT FROM C_DATAS INTO @C_DATAS_DTORIGEM;
      END; /* C_DATAS */
      CLOSE C_DATAS;
      DEALLOCATE C_DATAS;

      /*SE FOI EXPORTADO ALGUM PRATO PARA O CARDAPIO DESTINO INSERE CARDAMES */
      SET @V_EXPORT = 0;
      SELECT @V_EXPORT = COUNT(*) 
        FROM CARDADIA CD, COMPCARD CC
       WHERE CD.CDFILIAL   = @P_CDFILIDEST
         AND CD.CDSERVFILI = @V_CDSERVDEST
         AND CD.DTMESCARD  = @V_DTMESDEST
         AND CD.CDFILIAL   = CC.CDFILIAL
         AND CD.NRCARDAPIO = CC.NRCARDAPIO;
         
      IF @V_EXPORT > 0 BEGIN
         SET @V_EXISTCARDAMES = 0;
         SELECT @V_EXISTCARDAMES = COUNT(*)
           FROM CARDAMES
          WHERE CDFILIAL      = @P_CDFILIDEST
            AND CDSERVFILI    = @V_CDSERVDEST
            AND DTMESCARDAPIO = @V_DTMESDEST;
         
         IF @V_EXISTCARDAMES = 0 BEGIN
            INSERT INTO CARDAMES (CDFILIAL, CDSERVFILI, DTMESCARDAPIO)
            VALUES (@P_CDFILIDEST,@V_CDSERVDEST,@V_DTMESDEST);     
         END;         
      END;
      
      
      IF (@V_TIPOCARDAPIO = 'D') AND (@V_IDCARDDESCENTR = 'S') BEGIN
         /*Atualiza CARDADIA para especfico se nela existir algum prato especfico ou excludo*/
         UPDATE CARDADIA
            SET CARDADIA.IDCARDIAESPE = 'S'
          WHERE CARDADIA.CDFILIAL   = @P_CDFILIDEST AND
                CARDADIA.CDSERVFILI = @V_CDSERVDEST AND
                CARDADIA.DTMESCARD  = @V_DTMESDEST  AND
                EXISTS (SELECT CC.CDFILIAL
                          FROM COMPCARD CC
                         WHERE CC.CDFILIAL   = CARDADIA.CDFILIAL   AND
                               CC.NRCARDAPIO = CARDADIA.NRCARDAPIO AND
                               CC.IDPRATOESPE IN ('S', 'R')
                         UNION
                        SELECT CCD.CDFILIAL
                          FROM COMPCARDDEL CCD
                         WHERE CCD.CDFILIAL   = CARDADIA.CDFILIAL   AND
                               CCD.CDSERVFILI = CARDADIA.CDSERVFILI AND
                               CCD.DTPRATEXCL = CARDADIA.DTCARDAPIO);
         /*Deleta da cardadia os dias sem prato*/
         DELETE FROM CARDADIA
          WHERE CDFILIAL = @P_CDFILIDEST
            AND CDSERVFILI = @V_CDSERVDEST
            AND DTCARDAPIO BETWEEN @P_DTINIDEST AND @P_DTFINDEST
            AND NOT EXISTS (SELECT NRCARDAPIO 
                              FROM COMPCARD 
                             WHERE COMPCARD.CDFILIAL = CARDADIA.CDFILIAL 
                               AND COMPCARD.NRCARDAPIO = CARDADIA.NRCARDAPIO);
         IF (@V_AUXESP <> 'S') BEGIN
            DELETE FROM COMPCARDDEL
             WHERE CDFILIAL = @P_CDFILIDEST
               AND CDSERVFILI = @V_CDSERVDEST
               AND DTPRATEXCL BETWEEN @P_DTINIDEST AND @P_DTFINDEST;
         END ELSE BEGIN
            /*Deleta da COMPCARDDEL todos os pratos que no fazer parte da configurao do cardpio e que no guardam informao 
              do prato liberado pela matriz*/                    
            DELETE FROM COMPCARDDEL                                
             WHERE CDFILIAL = @P_CDFILIDEST
               AND CDSERVFILI = @V_CDSERVDEST
               AND DTPRATEXCL BETWEEN @P_DTINIDEST AND @P_DTFINDEST
               AND CDFILAUXPRAT IS NULL
               AND CDPRATO IS NULL
               AND NOT EXISTS (SELECT NRSEQCNFMES
                                 FROM CNFCAMES
                                WHERE CNFCAMES.CDFILIAL = COMPCARDDEL.CDFILIAL
                                  AND CNFCAMES.CDSERVFILI = COMPCARDDEL.CDSERVFILI
                                  AND CNFCAMES.NRSEQCNFMES = COMPCARDDEL.NRSEQPRATEXCL
                                  AND CNFCAMES.DTREFECNFMES = (COMPCARDDEL.DTPRATEXCL - DAY(COMPCARDDEL.DTPRATEXCL)) + 1);
            /*Exclui da COMPCARDDEL todos os sequenciais de pratos que foram includos
              na COMPCARD*/
            DELETE FROM COMPCARDDEL
             WHERE EXISTS (SELECT COMPCARD.CDFILIAL, CARDADIA.CDSERVFILI, CARDADIA.DTCARDAPIO, COMPCARD.NRSEQPRATCAR
                             FROM COMPCARD, CARDADIA
                            WHERE COMPCARD.CDFILIAL = CARDADIA.CDFILIAL
                              AND COMPCARD.NRCARDAPIO = CARDADIA.NRCARDAPIO
                              AND COMPCARD.CDFILIAL = @P_CDFILIDEST
                              AND CARDADIA.CDSERVFILI = @V_CDSERVDEST
                              AND CARDADIA.DTCARDAPIO BETWEEN @P_DTINIDEST AND @P_DTFINDEST
                              AND COMPCARDDEL.CDFILIAL = CARDADIA.CDFILIAL
                              AND COMPCARDDEL.CDSERVFILI = CARDADIA.CDSERVFILI
                              AND COMPCARDDEL.DTPRATEXCL = CARDADIA.DTCARDAPIO
                              AND COMPCARDDEL.NRSEQPRATEXCL = COMPCARD.NRSEQPRATCAR) ;       
         END;
         /*Deleta a tabela LISTA*/
        -- DELETE FROM LISTA
        -- WHERE NRLISTA = @V_NRLISTA;
      END;
      
      DELETE FROM LISTA
      WHERE NRLISTA = @V_CONFIGORIG;

      SET @P_NRLOGINTCARD = ISNULL(@V_NRLOGINTCARD, '');

      SET @V_LCDSERVORIG = SUBSTRING(@V_LCDSERVORIG, LEN(@V_CDSERVORIG)+1, LEN(@V_LCDSERVORIG));
      SET @V_LCDSERVDEST = SUBSTRING(@V_LCDSERVDEST, LEN(@V_CDSERVDEST)+1, LEN(@V_LCDSERVDEST));
      SET @V_LCONFIGORIG = SUBSTRING(@V_LCONFIGORIG, LEN(@V_CONFIGORIG)+1, LEN(@V_LCONFIGORIG));

      IF SUBSTRING(@V_LCDSERVORIG, 1, 1) = '_' BEGIN
         SET @V_LCDSERVORIG = SUBSTRING(@V_LCDSERVORIG, 2, LEN(@V_LCDSERVORIG));
      END;

      IF SUBSTRING(@V_LCDSERVDEST, 1, 1) = '_' BEGIN
         SET @V_LCDSERVDEST = SUBSTRING(@V_LCDSERVDEST, 2, LEN(@V_LCDSERVDEST));
      END;

      IF SUBSTRING(@V_LCONFIGORIG, 1, 1) = '_' BEGIN
         SET @V_LCONFIGORIG = SUBSTRING(@V_LCONFIGORIG, 2, LEN(@V_LCONFIGORIG));
      END;
   END; /* Loop para Exportar mais de um Servico */
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'EXPORTA_CARDAPIO_CONFIG','5.50.000';
GO